Introduction

Technical Documentation And User Guide.

version 1.9.x

Steel Projects is recognised as one of the worlds leading software development companies for the steel fabrication industry.

Our market leading Windows based modular PLM software has provided tremendous time and cost savings to fabricators for many years.

Steel Projects provides structural steel fabricators an integrated and modular software solution. Its modules automate and secure the link between the drawing office

and the workshop.

A Microsoft Windows environment ensures a user-friendly interface and allows for quick and efficient implementation.

The real-time information feedback provided can be used to create reports on the efficiency of individual machines or the overall workshop. This data is invaluable to be able to manage revisions, time scheduling, stock control, purchasing, nesting, cost analysis and to be able to capitalise on CNC machinery.

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily

Copyright © 2016 by Steel-Projects France All Rights Reserved.


Technical Support

Our expertise and experience allow us to provide solutions tailored to your needs and assist you in effectively using your software.

Customers with a maintenance contract receive the following benefits:

  • User Support: we answer your questions and assist you in using your software.

  • Corrective maintenance: if necessary, we assist you by phone, email or remote support.

  • Scalable Maintenance: we publish regular updates to improve or add some functionality

Initial maintenance contract for a period of at least 12 months is offered at the end of the warranty period. This contract is automatically renewed its term for a further period of 12 months, except in case of cancellation. The cancellation must be made by registered letter with acknowledgement of receipt within a minimum of 60 days before the date of expiry of the period covered by the contract.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Steel-Projects

Technical Support ››

For 25 years, Steel Projects has developed software for the steel fabrication industry.

Our mission is to manage, automate and optimize the workflow from the CAD model through production and to site erection.

Steel Projects’ Solutions are a set of easy to use business specific modules, used to control all the production cycle PLM (Product Life-cycle Management).

Steel Projects is a FICEP group "business Unit", the leading manufacturer of machine tools for the steel construction industry.

We are the only ones able to pilot all their machines to 100 % of their functional capacities.

With our strategy “Intelligent Fabrication” combining machines and software we are present at their side all over the world.

We also work with other machine manufacturers on the market on request.

Our solutions allows you to manage projects, stock and purchase, optimise and increase the production, control machines and have a production feedback in real time.

Created with the Personal Edition of HelpNDoc: Free Kindle producer


General tools & Navigation

Icons and Software Short-cuts

You will find these items in various windows of the program :

  • New [image] [Ctrl+N

  • Confirm [image] [Ctrl+S]

  • Cancel [image] [Ctrl+Z

  • Next input [image] [Ctrl+O]

  • Delete [image] [Ctrl+D]

  • Open a list
    • Press [F3] When the cursor is inside the text-box. You can also Double click the mouse

  • Quit [image] [Ctrl+Q]

Grid tools bar

For all grids in SPPLM you can open the tools bar :

Ribbon Menu

The ribbon menu is always available in the top left hand corner of the screen

From here you can do the following

Style - Change the colours of SP PLM

Language - Change the default language. Translations are set from the translation tool-bar

Remote Support - To allow a Steel Projects Support Engineer to connect remotely to your pc you need to give ID and password.

Send to Steel Projects - Short-cut to send an email to Steel Projects Support

User Manuals - Access to the manuals

About - System information

End user license agreement - Open the agreement license

Folder - Give you the main folders information.

Quick Access Tool-bar

The quick access tool-bar is located at the top of the screen

By customising it, you can add various tool-bar icons to it for quick access by selecting them from the left menu, sending them to right and pressing confirm

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily


Steel Projects PLM - Modules

ImportProject ManagerProjectFabrication JobSection NestingPlate NestingShippingProduction ManagerAnalysisControlProvisional SchedulingProduction Scheduling

Material GradeMaterial TypeTreatmentsPaintingProfilesFolding ParametersStd FlatsCustomersCountriesToolingsStd ToolingsProfile GroupsWorkstationsExactProducts

ImportExportTypologyExecution ClassesAuto MarkEmployeesEmployee Management

LengthsScrap LengthsStandard DimensionsMaterial CodeMat. code / thicknessPlate Scrap DimensionsOffcuts ManagerStock ImportStock ExportWarehouse

ImportExportSimulation

ExportProduction ImportDashboardWidgets

TypesClasses

Shop DrawingListsReport ManagementShared ConfigurationLocal SettingsCompanyUsers GroupsUsers

Created with the Personal Edition of HelpNDoc: Free help authoring environment


Project

Steel Projects PLM - Modules ››

ImportProject ManagerProjectFabrication JobSection NestingPlate NestingShippingProduction ManagerAnalysisControlProvisional SchedulingProduction Scheduling

The Project Toolbar gives access to all the main Steel-Projects PLM modules:

Import - Import CAD/ CAM files in a variety of formats

Project Manager - Control your projects and Manual Drawing.

Contract - Edit an existing Contract.

Project - Edit an existing Project.

Section Nesting - Nest your Linear products into commercial sizes or user defined bars

Plate Nesting - Nest your flat product into plates

Shipping - Control your shipping and create delivery notes

Production Manager -Production work flow management, time estimation and real time feedback

Analysis - Analyse your Production Feedback information with a variety of reports and widgets

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Import

Steel Projects PLM - Modules ›› Project ››

The Import CAD files entry point

Import parts from a variety of third party software using the imports you have set-up in your Project Manager Import options

this can be done from the main screen of PLM, or from inside the project Manager.

Press the drop down arrow under the import tab, and will show the available imports. Click on the the required one to open a new import window.

The window will show all of the files in the default import folder which are available.

You can press on [image] to view and change the import options from this screen

Parts selected or with green circles will be imported into the system when you press OK. Available or red ones will be ignored

Double click, or select or multiple select parts that you don't want to import and press [image] to unselect them

Press [image] when you have the required parts to imported selected green, and the import process will start.

If the Drawings Dispatching option is selected you can change Contract Name, Projects Name or Drawing Name.

To continue select [OK]

The program will refresh the 3D information and you should press [OK] to continue.

To finish the import Windows will confirm the project(s) imported.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Module - Project Manager

Steel Projects PLM - Modules ›› Project ››

The main module to manage your projects

The project manager module in SPPLM is the "heart of our PLM solution". Its main use is to manage your Projects, import CAD files from other packages, manually draw or edit parts , assign grades, tooling, treatments, profile groups and other database information. It is also used to make selections of components to send to production and other advanced tools.

Layout

The main window is divided into 6 areas :

Short-cuts bar

Actions bar

Your contract and all the sub division are displayed here

Your contract and all the sub division are displayed here in tree view mode.

It is the part selection windows, where you can select parts to :

- Send to production

- Create fabrication Job

- Print a list of shop drawing

Here you can have 2D or 3D preview for component ( Assembly if TEKLA import with WinSCRIBE option)

Project Manager Navigation

The Project Manager is laid out with the standard tool-bars at the top, and then a hierarchical layout of your Projects, drawings (Phases\Loads), Assemblies and Components. The default view shows a list of all of your Projects (if you have any otherwise the screen is blank)

The hierarchical filters are shown in Blue next to the tab name

To view all the Components in a Project, click on the relevant Project from the Project tab, ant then click on the Component tab

As you can see in this example, we have selected the Project number BAT01 and are viewing the components inside this Project

To view only the components inside a drawing or assembly, select the Project and then the required part f the contract from those tabs. in this example I have selected to view the parts in Assembly Mark

BA1

Project Manager ToolBars

Selection

Open the Selection Window

You can then drag items into the Window to process for section nesting, creating a fabrication job, view drawings or create reports. The selection Window opens automatically if you drag an item anywhere on the screen.

Trees

The trees window shows the hierarchical structure in a tree menu. You can navigate around your Projects and make selections from this window instead of the main window

Preview

Open the Preview Window

If you have a valid Component or Assembly selected, you will see a view of the part in 2D or 3D. To activate 3D view you need to have it enabled in your Local Settings. You can also change the way the item is displayed with these options

You can change the 2D display options in the Shop Drawings configuration

Import

Import data into your Project Manager by pressing the arrow to view your configured Imports

Draw

Open the Drawing Module to add or modify tooling details of your components such as drilling, cutting and marking

Copy

Copy a project, Drawing, Assembly or Component into another place in the Project Manager. If the item you copy has lower hierachal items, these will also be copied. For example, if you copy a Project, all of the sub drawings, Assemblies and Components will be copieied. if you Copy a Component, then that will be the only item copied.

Select the desired item in the main window and either press the Copy button, or right click -Copy, or press the keyboard shortcut Ctrl + C

this will open the Copy options. the node shows the item that is to be copied, the destination shows where it is to be copied to.

You can modify the destination selections to rename them by typing or double click in the windows to choose existing locations. press OK and the items will be copied

Open Copy Function to have more information.

Select

You can use the Select icon to multi select items and open and send them to the selection window .

Template Project

You can assign any of your Projects as templates. When you do this, the items inside them can be copied over to other projects quickly.

For more information Template Project

Refresh

Refresh the screen

Weight/Surface

You can recalculate weight and surface values if profile or material grade parameters as changed.

Nesting Quantity

When this icon has been selected, it activates an extra column in the main components window so you can visualise in the Project manager the parts and quantities that have already been nested in the Section Nesting Module

Search

Search for an Assembly or Component using the search tool. You need to type the name in the left or right window press enter to search. All the results that match up will be shown in the window. Double click on one of the entries and it will take you to that item in the Project Manager

You can search Macro with the second tab window.

You can search Profile with the third tab window.

Top Tool-bar

In order to see this tool bar you must either press the bar to expand, or press Ctrl+B

Create a new hierarchy depending on which tab you are in - Project, Drawing - Assembly - Component

Delete the current selection

Search the current tab. Change the search column by right clicking on the column header and replace any characters by [?]. In this case the goal is to search all part starting by M1.

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Selection Window & Select function

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Select part to send to production or print list

The selection window in the Project manager is the tool to progress selections to the next stages of the software - export them to production, and generate shop drawings and reports

You can open the selection window using the top icon, or if you make a selection of parts and drag them with the mouse the window automatically opens.

You can also make a multi-selection in the grid and press the Select button to "move" the selected items in the Selection section.

The aim of the tool is to drag the projects or components that you want to process together into the window, use the filters on the left side to filter out any unwanted parts, choose what you want to do with the selection on the right side, and then press the Action Button to process

Button to set the filter criteria

: Button to apply or remove the filter

: Button to reset the selection. All of the selected parts are removed from the grid.

: Button to prepare shop drawings of the parts

: Button to create a Fabrication Job

: Button to automatically create nest using the Section Nesting Module

: Export the parts with the Project Manager exports (Not allowed if you have the Production manager)

: Open the Reports Window

Action Button - press this to apply the actions you have selected

The Selection Filter

Once parts are selected, it is possible to filter to refine a selection. The exact options in the filter are determined by your profile group and tooling set-up.

You can create specific filters for your selection by phase, assembly or component (By name, profile, material, treatment or thickness)

You can also filter by specific profile groups or toolings using the windows. To set these filters click on the traffic light button to the left to turn them green. With this set only parts belonging to the green profile groups or toolings will be be visible in the selection window

You can save specific filters by typing the name in the top window, and then pressing save

The saved filters will be available from a drop down list under the filter icon in the selection window

Created with the Personal Edition of HelpNDoc: Full-featured multi-format Help generator


Phases & Phase Builder

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

As an option you can organise your contract by phase of production

The phase builder allows you to organise your projects into phases and loads

To use this facility you first need to activate "jobs management" in the company configuration settings

To make a Project a phased project, open the project options and choose the selection as below after that you will see this symbol behind the project line

Pressing the phase button will activate an extra top level tab called phase

When you click the phase builder button a new window will open. This will allow you to build your phases by drawing, assembly or component.

If you press the auto weight button you can get the system to create your phases automatically to the assigned weight.This is useful for creating loads by trailer weights etc.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Drawing Module

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Open the drawing module to modify or create a part

The drawing module in Steel Project PLM Project Manager allows the user to create and/or edit the parts that are required to be processed in the workshop.

For more information : Drawing module

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Part Preview Window

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

You can have 2D or 3D preview

The part preview window lets you view the current selected part in a 2D and or 3D view

To activate the 3D view you need to first activate it in the local settings

The way the parts are represented can be set in the Shop Drawing - Representation option, and the local settings - 3D settings

Press the [image] button to activate the preview window. This will default to open at the bottom of the screen, you can drag and drop the window onto other areas of the screen if you prefer it to be there.

The default view shows the current selection in either 2D or 3D. If you want to show both views in the same window you can drag the top of the view ribbon tab [image] until the [image] icon appears, and then drag it to the left or the right to activate both displays

The 2D view shows a graphic of the part with the tooling, dimensions, coping macros all shown

If you double click in the window, it opens the part up in the Drawing Module

The view of the 3D view can be set to show exactly what you want by changing the View and Modelling options

The angle of the view can be changed by using the box icon. Simply click and rotate the box to change the view of the part

The other options for changing the default view of the 3D display can be accessed from the icon menu at the top of the window

- Refresh the default 3D view

- Show or hide the Menu

- Zoom window - create a window to zoom the window to fit to

- Zoom in and out of the part

- Pan around the part keeping the default rotation

- Rotate around the part by clicking a point and using the mouse to move around this point

- Zoom Fit - Show the part to the extremities of the window with the current view

You can open the full screen view of the part by pressing Shift+F

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Copy Function

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Copy a contract , drawing, assembly or part

It is possible to copy projects, or parts of a project, to another one inside the project manager. If you do this it will copy all of parts and the lower hierarchical levels, including all of the component tooling and outlines

To copy a project simply select the project from the main list and either press Ctrl + C, choose Copy from the right click menu, or press the [image] icon on the tool bar

This opens the copy window. Choose the name of the new project in the destination window, press OK and then you will have a second identical project in the project list

You can also copy Drawings and Assemblies in a similar way

To copy individual components, also use the same method as above but the copy window gives you the extra options to be able to copy it to specific levels of a project. this can be the same one you are in now or a different one. Double click in the window to see a list of all the available options

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Template Project

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Define project as template and use it to to create a new one

You can assign any of your Projects as templates. When you do this, the items inside them can be copied over to other projects quickly.

to assign a Project as a template, double click on it in the Project list to bring up the option page, and select the Template project box.

In the list the Project will now have a briefcase icon next to it to show it is a template

Then to copy the items in a template project to another project, simply press the icon in the tool-bar, double click in the Project window and select the Project you want to copy to from the list

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


View and edit

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

You can access the options, view and edit parameters and data of Projects, Drawings, Assemblies and Components by double clicking on them in the main lists.

Project Options

General:

View and change the general project information.

Project - The project name

Description - Description of the project

Manager - Manual field to specify the project manager

Object - Extra description field

Final Date of the Project - Press the drop down option to choose a final delivery date from the calendar

Customer - Double click to bring up your customer list

Typology - Allows you to choose a project typology

Template Project - Set this contract as a template (see above)

Origin - States if the project was created by importing files or manually by a user

Default Value:

Allows you to specify default values for parts in this project that are added manually

Information:

Shows information on the creation and modification information, weights, and number of assemblies and components

Summary:

Shows a summary of the project by profile and category. Click on the tab on the left to switch between profiles and lengths

Toolings:

A summary of the total amount of toolings in the project

Addresses

A list of addresses you can define for your project

Attached Documents:

Use the Document Manager to attach documents to the project

Part Options

Change the part name, quantity, profile etc from the double click list. The screen also shows a summary of the part creation and modification information, weight and surface area.

Toolings:

Lists the number of different toolings in the part

Preview:

Shows a preview of the part. DOuble click on the preview to open the part in the Drawing Module

Sub assembly :

If the component is define by Sub assemblies ( Break down part ) you can see the composition.

Profile:

Shows the type of profile that the part is

Drilling:

Allows you to change the critical reference point for all the parts in a certain face.

Attached Documents:

Attach documents to a part using the Document Manager

Right Click Menu

Further options can be found from the right click menu by right clicking on specific Projects, Drawings, Assemblies and components

Create a new Project, Drawing, Assembly or Component. See creating a manual project

Allows you to make changes to the information on the screen you are in by modifying the grid instead of going into the individual EDIT OPTIONS - INFORMATION window. This option can also be selected from the hidden toolbar

Delete the current selection

View or hide the hidden toolbar

open the EDIT OPTIONS - INFORMATION for the selection. If you have multiple selections then you can edit all of them at the same time. for example, if you wanted to change the material grade of a full assembly at the same time, select all of the parts in the assembly with Shift & left click, then right click - edit

Open the Drawing Module to modify the drawing of the part you have selected

Copy the Project or Part

Define the master part of the assembly. This is usually the main beam of an assembly and the other parts are associated part. This is automatically defined on creation or import but this function allows you to manually define it.

This sets the selected part or parts as cut to length, so they will not be nested into bars in the section nesting module, and when they are sent to the machine they will include no cut information. This is useful of you have the correct sizes bars and would like to just just send them to machines for extra tooling such as drilling

Break down beam : Convert beam to flats.

Check the selected parts for feasibility on your machines or force part(s) as valid one(s).

Allows you to specify the tool used to mark the part if there is a choice of more than one tool on the machine it is sent to.

Allows you to determine in the software if the part of group of parts is to be marked on the machine. This function requires you to activate the associated option on the WinCN or Dstv export options for it to work.

Drilling will substitute a diameter or change the type or drill the propriety for parts selection.

You need to double click in the line to open the property box.

/

Convert parts that have been defined as flat to plates, or plates to flats. this is a manual override of the Standard Flats settings and allows you to change if the part is to be done on a linear or plate machine

Refresh the 3D view of the parts

This lets you see the distribution of a part in a project, and also lets you see if the part is nested in a particular nest. if it is you can click on it and it will take you into the nesting number.

Manually create a revision number for the Project.

Allows you to Convert toolings to scribing Convert toolings to scribing

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Creating Manual Projects

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

You can import your contract but also create from zero with all subdivisions.

As well as being able to import projects from third party CAD\CAM systems, you can create projects manually using the project manager, add the required project hierarchy, and add component and component drawings

Creating A Project

From the Projects list in the project manager, press new [image] on the top tool bar or right click menu, [image] on the hidden tool bar, or press INS short cut on the keyboard

Enter the name of the new project in the window and press New

You can then add all of the project parameter and set all of the required parameters in the Project Options window.

Press OK to save and you will then have a new project in the project list.

If you have the configuration option setting for Auto next tab set, you will automatically go into the Project - Drawing screen. If not, then click on the Project in the list and press the Drawing tab

Creating Drawings

Every Project must have at least 1 Drawing. you can use Drawings to act as Phases or Loads, in order to split your project up into sub-sections.

To create a drawing press new [image] on the top tool bar or right click menu, [image] on the hidden tool bar, or press INS short cut on the keyboard

You can then give the drawing a name and change the drawing options.

For a single level project just call the drawing 1 and then press next input

Creating Assembly Marks

Every Project must have at least 1 Assembly. You can use Assemblies Marks to group together components that make up a single fabricated piece

To create a drawing press new [image] on the top tool bar or right click menu, [image] on the hidden tool bar, or press INS short cut on the keyboard

You can then give the Assembly a name and change the Assembly options, including the quantity. if you change the quantity the total number of components in the project will be multiplied by assembly quantity

For a single level project just call the drawing 1 and then press next input

Creating Components

You can then use the same method to add components to the relevant drawings and assemblies

Ensure that you have a Drawing and Assembly selected and that the selections are stated in blue text next to the relevant tabs (NOTE to reset a tab filter, right click on the tab)

To create a component press new [image] on the top tool bar or right click menu, [image] on the hidden tool bar, or press INS short cut on the keyboard

Type the name of the component and press new

Add the relevant details in the component options menu

It is critical that you add at a minimum the following details -

  • Profile - type the profile name or double click in the window to open up the profile list. Start typing the name and the available options are shown

  • Length - Add a length of the part in mm

  • Width - (Only for plate PLT profiles) - Add a width of the part in mm

  • Material grade - Double click in the window to show a list of your available material grades

All of the other options are optional, and some are filled in automatically when you have set these fields.

In order to add tooling to the part, you need to use the Drawing Module

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Shop Drawings

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Print and configure shop drawing

You can print out shop drawings for your components using the parameters you have set up in the shop drawing configurations

Single Shop Drawing

To view or print out a single shop drawing, open the part in the Drawing module with [Draw] , Ctrl+D or double click in the draw 2d or 3D preview.

Press the [image] button in the toolbar, press Ctrl+P or go to the menu file - preview

This will open the shop drawing preview window.

press Print [image] to send it to the configured printer

Multiple Drawings

To view or print multiple component drawings at the same time, drag the required parts into the selection window

Set any required filters if you want to filter the selection down

Ensure the shop drawings icon is ticked [image] and then press Action

This will open all the selected parts in the drawing preview window

Use the arrow keys [image] to view different components

Print All to print all the documents in one go, print will print the current view.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Print Reports

Steel Projects PLM - Modules ›› Project ›› Module - Project Manager ››

Print parts, assemblies .... list

You can print out reports for your components and all items from your projects.

Multiple selection

To view or print multiple component drawings at the same time, drag the required parts into the selection window

Set any required filters if you want to filter the selection down.

Ensure the shop drawings icon is ticked [image] and then press Action

This will open report module.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Project

Steel Projects PLM - Modules ›› Project ››

Create or edit a Project

The project tab allows you to view and create new projects and view or modify your existing projects options, without needing to go into the Project Manager module

Type the name of the new project you want to create, and press NEW or [TAB]

Confirm with [OK]

You can then add the required project options the instructions for this are the same as in the Project Manager

To add further details to the Project you need to do this in the Project Manager module

View Or Modify Existing Project

Double click in the Project box to open up a list of your existing projects.

Choose the required one from the list, or type in the new window to filter the selection.CPress OK

You can then modify and save any of the details, or click on the Summary tab to see a summary of the project without needing to go into the Project Manager module

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Fabrication Job

Steel Projects PLM - Modules ›› Project ››

Open the Fabrication Job list

The Fabrication Job screen shows a list of all the jobs \ nestings you have already created and allows you to view, edit and resend them to production. You can create a fabrication job by selecting parts and sending them to the selection window in either the Project Manager or production manager modules

A fabrication job is described as / group of parts consisting of the same or multiple projects which you want to nest and send to production at the same time.

The functionality of the screen if different depending on whether you have the Production Management Module or not. If you have this module you can also monitor the production status of your jobs and manage the factory workflow.

Fabrication Job Screen With No Production Management - Backup and manage your section nestings

Fabrication Job Screen With Production Management - Send to production , workflow management, tooling time calculation, piece time feedback

Fabrication Job Navigation

The Fabrication Job screen is viewed in a tabbed format, with the default view showing a list of your current jobs. you can select a specific job and tab into the components window to show a list of the components in the job, and the optimise cutting window which shows the details of your nesting results

Fabrication Job

The fabrication job tab lists all of the jobs you have already created and shows details of them.

The optimise cutting bar lets you visualise the amount of parts in the job that have already been nested. red - unnested, orange - pending, green nested

Production bar indicates the parts production status. see production manager

If any parts are in a section nesting then the number\s are indicated in the cutting sheet column

Composition

if you click on a particular fabrication job, then on the composition tab, it lists all of the parts that are part of that job. The optimise cutting and production tabs are also active in this tab and show the details of the individual parts

Optimise Cutting

The optimise cutting tab shows a summary of all of the section nests that are part of this job. Any parts that have not bee nested are listed as "not processed"

Fabrication Job Tool-bars

Refresh the screen

Activate the tree menu window

When on the Composition tab you can see a preview of the components

Creates a new section nesting for all of the unnested linear parts in the selected fabrication job

Creates a new plate nesting for all of the unnested flat parts in the selected fabrication job

If there has been a change to any of the parts in the fabrication job, pressing this will let the system check for potential issues with the routing.

Allows you to create send to production all of the unnested parts in all your different jobs

Filter for the list : Not-any, Profile, Project, Customer, Status

Filter for the list : Not-any, Pending, Finished

Create a fabrication job selection using a configured import

Add a column to the Job grid in order to see the Stock status.

Fabrication Job Edit Options

If you double click on a fabrication job in the main list it opens up the edit options screen

General

Change the name of the job, or add a description or comment

Information

Shows information on the time and user who created and last modified the job

Composition

Shows a list of the components that make up the fabrication job

It is also possible to add extra components from your existing projects to the fabrication job from this screen.

To do this, press the [image] icon. This opens a window to select a Project name. Either type the name in the window or double click to bring up a list

This shows a list of all the available components. to add one, select it in the list and press ADD

Fabrication Job Right Click Menu

  • + New - Add extra components
  • Edit - Insert data directly in the grid
  • Delete - Delete the fabrication job and all the information inside it
  • Toolbars - Show \ hide the hidden toolbar
  • Send to Production - If you have the production manager, use this option to progress to the Send to Production screen
  • Check part - run the Part Checking option on the parts
  • Finish - Define the Job as Finish

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Module - Section Nesting

Steel Projects PLM - Modules ›› Project ››

The main module to optimize your bar nesting

The section nesting module allows you to nest your components into linear bars for streamlined purchasing and production process

The module uses the parameters set in the Nesting Data options

To create a new section nesting you would not normally do it by first accessing this menu. New nests are normally created either in the Project Manager , by dragging the required parts into the selection window and activating the section nesting option and pressing action, or from the Production Manager in the Send To Production screen

Use can use this menu to view and modify existing section nests. To do this either type the nesting sheet number, or double click in the window and choose the nest from the window and press OK.

This will open up the section nesting module. Alternatively, this module will open automatically if you process with the Project Manager or Send to Production screens

Section Nesting ToolBars

Opens bar / Part , 2D /3D Preview

Opens a short-cut to the Workstation configuration

Create bar lists and nesting reports with the Reports Window

Automatically nests the components into Stock, remnants and purchased bars using Automatic Section Nesting

Import Stock bars using a configured Stock Import

Allows to input the actual production time spent to produce each bar (Available with the ProductionManager module).

Activates a filter to display only the parts to be nested

Edit the nesting using the Manual Nesting

Change the bar order and create bundles for automatic handling systems

Export the bars to production ( Only for part & project manager)

Set a filter to only view certain information in the main window

Section Nesting Layout

The module uses a similar multi window, tabbed format layout to the Projects Manager.

Short-cuts bar

Actions bar

Main Window , your components, stock and bars are displayed.

Here you can have 2D or 3D preview for component or bar

This tab shows a general summary of the section nesting results

The optimise cutting window shows specific information for each nested bar.

Main Window

The main window consists of three tabs.

Component - This lists all of the components that have been included in the section nesting. You can see all the details brought from the Project Manager, including the project, workstation, and quantity details.

If you double click on one of the components it opens up the component options and you CANNOT make modifications here but having to go back to the Project Manager.

Stock - The stock list will be blank to start with. You can add your stock to the list to use this in the nesting, or if you leave this blank the nester will only use purchased lengths using the best possible deliverable lengths

Optimise Cutting - this tab shows the results of the nesting

Preview

This window shows a preview of the part or bar, depending on your selection in the main window.

To show a 3D view you need to have the option activated in your local configuration settings

The functionality of the window is the same as the project manager part preview window

General Information

This tab shows a general summary of the section nesting results

Optimise Cutting

The optimise cutting window shows specific information for each nested bar

General - The general tab shows you general information on the nested bar that you have selected. The forecast time is only shown if you have the Production Manager module activated

The remnant identity is generated automatically by SPPLM, this can be used to mark you remnant to keep traceability

Composition - This tab shows you the parts that are nested in the currently selected bar.

You can change the order in the bar by manually dragging the parts order. And you can view and change part rotation by using the [image] functions

Nesting Parameters - This tab shows the parameters that have been assigned t the bar. They come from the workstation configuration , but can be manually overridden in the bar by changing them here.

Right Click Menu

There are some extra options for the main window tabs accessible from the right mouse click menu

Component

  • New - Add a new default part with no tooling

  • Edit Grid - Modify the components options in the grid instead of in their individual options pages

  • Delete - Delete the current selection from this section nesting sheet

  • Toolbars - view \ hide the hidden toolbar

  • Property - Open up an additional properties page which allows you to set individual options for each component. You can override the available symmetries and rotations, and give the part a priority. The automatic nester will put parts with a higher priority (with 1 being the highest) earlier in the nesting results

Build Cut to Length - When this option is selected, the component will not be nested into a separate stock bar, but sent cut to length. If you add a stock bar into the stock list with same length, this will be used. if not, you will get a list of cut to length bars in your purchasing list. Cut to length parts are sent to the machine with no cutting tooling or front or end bar scrap.

Lock \ Unlock - Temporarily Lock parts so they are not available to the automatic section nesting. this is useful if you want to nest some components earlier in the order, or separate to some other components in the same sheet.

Stock

  • New - Add some stock bars into your stock list to be available for the nester to use. Select the required details by either typing in the windows, or double clicking will show a list of available ones.

The critical parameters that are needed as a minimum are the profile, material grade and length

the default type of bar are stock bars, but you can give it a different type such as a remnant or purchased bar. These types are used by the automatic nester to use different priorities

On the detail page you can also add extra information for use for traceability and advanced nesting by loading bay or storage location.

  • Edit Grid - Add more bars or modify the existing ones by using the grid format instead of individual options pages

  • Delete - Delete the current selection

  • Toolbars - View or hie the hidden toolbar

  • Edit - Modify the bar in the options window

  • Build Butt Welding - Join two or more bars together to form a connected bar. See Butt Welded Beams

  • Duplicate - Add an identical bar to the current selection the list

  • Lock \ Unlock - Temporarily Lock bars so they are not available to the automatic section nesting. this is useful if you want to nest some components earlier in the order, or separate to some other components in the same sheet.

Bar

  • Delete - Delete the current selection

  • Toolbars - View or hie the hidden toolbar

  • Optimise - Optimise the current bar

  • Workstations - Change the machine for the current bar

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Report

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

Pressing the Reports option will open the reports module.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Automatic Section Nesting

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

Pressing the [image] icon will open the automatic nesting options screen. This tool will nest your components into your available stock \ purchasable lengths, with powerful algorithms prioritising either minimising scrap, remnants, or number of bars.

To use the automatic nester, simply press [image] and it will use the options you have set up to nest the parts to the available bars.

You will have this window

At the end you will found the created bars in the bar list.

Section Nesting Options

General

Stock

Different priorities can be set for different types of stock bar.

If remnant stock is set at a higher priority than Stock, offcuts will always be nested before stock bars, if they are available. If Stock is above purchasing, all of the added stock bars will be maximised before bars are suggested for purchasing

To change the priority, simply click on the type of bar and use the up and down arrows to move to a different priority

Result

This option will allow you to change the preference of the nesting algorithm.

If limit remnant is selected first, then the nester will try and limit the total amount of remaining material left in a bar.

Limit number of bars will try and limit the number of bars used in a trade off for scrap for less material handling.

Limit scrap will take into consideration the set maximum scrap and trade off waste for recoverable stock

Options

Time – Select a time (min of 1 minute) for the nester to calculate more permutations for a better nest

Bar with same priority – Force the nester to only nest parts with the same priority together. If the option is not checked, the lowest priority will initially be nested, but the bars can be supplemented with higher-priority items.

Show several Solutions. This option only works if a time has been set. At the end of the nesting process it will display on the screen three options with different results of scrap, remnant and number of bars

Deliverable Lengths

This tab shows you the deliverable lengths you have set up, and allows you to enable \ restrict their availability for the automatic nesting.

If the length is represented with a black circle then it is available. if you double click the circle t changes to a white circle, and is then unavailable

Profile

This tab shows you the profiles you have in your selection and allows you to enable or not the nesting for each ones.

If the profile is represented with a black circle then it is available. if you double click the circle t changes to a white circle, and is then unselected.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Bar Order Change

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

When you have finished either a manual or an automatic nest, you can change the order of the bars.

To change the order, either drag and drop the bars in the list to the required order, or click on particular bars and use the arrow icons on the right of the window [image] .

If you have an automatic system that has the ability to work with bundles of bars, press the [image] icon and the system will automatically bundle together bars with similar profiles, treatments, painting etc, using the rules you have set up in your work-flow.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Manual Section Nesting

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

It is possible to create manual nests instead of using the automatic nesting.

This is useful if you need to cut specific components in a specific order out of specific bars

To begin, add some stock bars in the Stock tab of the main window

Drag and drop one of the bars from this list to the optimise cutting window. You will see that the icon changes to show that the bar is now in the window

Then switch to the main window component tab. only the components with the same profile as the bar you just selected will be available

To add one or more of the components into the bar, drag and drop them from the main window to the optimise cutting window

You will see the graphic and options of the bar change to match the manual modifications

Change the order of the parts in the bar by dragging and dropping them in the list in the optimise cutting window.

You can add rotations to the parts by using the [image] buttons

When you have built your bar, press the save button and then move to the Stock tab, and drag another bar into the Optimise cutting window and repeat the same process

Created with the Personal Edition of HelpNDoc: Full-featured multi-format Help generator


Butt Welded Beams

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

Pressing the build butt Welding option in the stock right click menu allows you to use the currently selected bar as bar of a larger butt welded bar.

In the Stock list select stock bars and right-click to open the menu.

You will have this window to define the way to weld both bars.

Detail give you the possibility to add extra informations.

From this list you can nominate the stock bars you will use to create the butt welded beam. the list on the left shows the available bars. Drag and drop the required bars to the right side window to make up the element.

When you save the bar you will see that the bar icon and total length has changed and you can see a sub list of the bars that make up the butt welded bar

When you do an automatic nest the total length will be used as a standard available bar, but you can keep the full traceability of the different elements to it in the system.

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Production Time Input

Steel Projects PLM - Modules ›› Project ›› Module - Section Nesting ››

Production Time Input

When you click on the Production time input button, you can type the actual production time for each bar

The fabrication job of the nesting must not be "unchecked [image] " in order to proceed.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Module - Plate Nesting

Steel Projects PLM - Modules ›› Project ››

The main module to optimize your plate nesting

The plate nesting module allows you to nest your components into plates for streamlined purchasing and production process

The module uses the parameters set in the Nesting Data options

To create a new plate nesting you would not normally do it by first accessing this menu. New nests are normally created either in the Project Manager , by dragging the required parts into the selection window and activating the plate nesting option and pressing action, or from the Production Manager in the Send To Production screen

Use can use this menu to view and modify existing plate nests. To do this either type the nesting sheet number, or double click in the window and choose the nest from the window and press OK.

This will open up the plate nesting module. Alternatively, this module will open automatically if you process with the Project Manager or Send to Production screens

Plate Nesting Toolbar

Opens the Part preview window

Opens a short-cut to the Workstation configuration

Opens Nester module to manually define the plate nesting.

Opens Pathfinder module to define cutting sequences, create bridges between parts, generate CNC program, etc...

Opens DocViewer module to generate and print the plate nesting report

Import Offcuts with same thickness and material type from previous nesting

Create piece lists and nesting reports with the Reports Window

Automatically nest the components into Stock, remnants and purchased plates using Automatic Plate Nesting

Import Stock plates using a configured Stock Import

Export the plates to production. Can be done from Plate nesting or from Send To Production depending on options

Sets a filter to only view certain information in the main window

Plate Nesting Layout

The module uses a similar multi window, tabbed format layout to the Projects Manager.

1 - Short-cuts bar

2 - Actions bar

3 - Main Window , your components, stock and plates are displayed.

4 - Here you can have 2D or 3D preview for component or plate

5 - This tab shows a general summary of the plate nesting results

6 - The optimise cutting window shows specific information for each nested plate.

7 - Summary of the tools used in the selected component.

Main Window

The main window consists of three tabs.

Component - This lists all of the components that have been included in the plate nesting. You can see all the details brought from the Project Manager, including the project, workstation, and quantity details.

If you double click on one of the components it opens up the component options and you can make modifications here instead of having to go back to the Project Manager.

If you need to add more components, right click in an empty area and select new. Then, add the parts from this screen.

The parts must have been previously added in the fabrication job, as seen here .

Stock - The stock list will be blank to start with. You can add your stock to the list to use this in the nesting, or if you leave this blank the nester will only use purchased lengths using the best possible commercial dimension .

Optimise Cutting - this tab shows the results of the nesting

Preview

This window shows a preview of the part or plate, depending on your selection in the main window.

To show a 3D view you need to have the option activated in your local configuration settings

The functionality of the window is the same as the project manager part preview window

3 - General Information

This tab shows a general summary of the section nesting results

4 - Optimise Cutting

The optimise cutting window shows specific information for each nested bar

General - The general tab shows you general information on the nested plate that you have selected. The forecast time is only shown if you have the Production Manager module activated

The remnant identity is generated automatically by SPPLM, this can be used to mark you remnant to keep traceability

Composition - This tab shows you the parts that are nested in the currently selected plate.

Tools - This tab list the tools that are going to be used by the machine once the nesting has been generated. Tools used will vary depending on how the workstation has been configured.

Right Click Menu

There are some extra options for the main window tabs accessible from the right mouse click menu

Component

New - Add a new default part with no tooling

Edit Grid - Modify the components options in the grid instead of in their individual options pages

Delete - Delete the current selection from this section nesting sheet

Toolbars - view \ hide the hidden toolbar

Property - Open up an additional properties page which allows you to set individual options for each component. You can override the available symmetries and rotations, and give the part a priority. The automatic nester will put parts with a higher priority (with 1 being the highest) earlier in the nesting results

Lock \ Unlock - Temporarily Lock parts so they are not available to the automatic section nesting. this is useful if you want to nest some components earlier in the order, or separate to some other components in the same sheet.

Drafter - Opens the Drafter module from Actcut to view the *.dpr file for the selected part. Dpr file is automatically created when part is sent to Plate Nesting.

Regeneration - Regenerate the *.dpr file for the selected part. If workstation configuration is changed once parts are sent to Plate Nesting, dpr files need to be regenerated

Stock

New - Add some stock plates into your stock list to be available for the nester to use. Select the required details by either typing in the windows, or double clicking will show a list of available ones.

The critical parameters that are needed as a minimum are the profile, material grade, length and width

the default type of plate is Stock, but you can give it a different type such as a Remnant or Purchase. These types are used by the automatic nester to use different priorities

On the detail page you can also add extra information for use for traceability and advanced nesting by loading bay or storage location.

On the Edge Gap page you can modify active gaps that will be used for the plate you are creating

Edit Grid - Add more plates or modify the existing ones by using the grid format instead of individual options pages

Delete - Delete the current selection

Toolbars - View/hide the hidden toolbar

Edit - Modify the plate in the options window

Duplicate - Add an identical plate to the current stock list

Lock \ Unlock - Temporarily Lock plate so they are not available to the automatic plate nesting.

Plate

Delete - Delete the current selection

Toolbars - View/hide the hidden toolbar

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Workstation

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

In order to modify some machine parameters before nesting, it is also possible to access the resource editor from the plate module.

Pressing the [image] icon will open the workstations menu where we can find the machine parameters:

On the machine parameters window, it is possible to access Resource Editor and comparison in order to modify and update many nesting parameters:

Import parameters - Import machine parameters file

Resource Editor - Access de machine and nesting parameters manager

Comparison - Access a updater menu in order to compare or import or update the resource editor data into SP.PLM

Tools - Access the updater menu which compares the available tools in Resource Editor and SP.PLM

Technological parameters - Access the updater menu which compares the available thickness and gaps in Resource Editor and SP.PLM

Resource Editor Window

Click Resource Editor to access more information

Tools window

When accessing the tools window it is possible to compare to tools on [image] SP.PLM and [image] Resource Editor

The tools that software has found on Resource Editor and are not present into SP.PLM are represented with green color.

By clicking the [image] icon you can automatically add this tools into SP.PLM. Then you have to press [image] to validate before closing the window.

Technological parameters window

Same rules than tool comparison. SP.PLM and [image] Resource Editor

The thickness which values are different are represented in red color.

By clicking the [image] icon you can automatically update this values into SP.PLM. Then you have to press [image] to validate before closing the window.

The thickness that software has found on Resource Editor and are not present into SP.PLM are represented with green color.

By clicking the [image] icon you can automatically add this tools into SP.PLM. Then you have to press [image] to validate before closing the window.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Nester

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Nester: the 1st step for manual plate nesting

Pressing the [image] icon will automatically open the Nester module.

It is possible to send many different parts to the Plate Nesting module, different thickness and different material degree parts will be managed by separate as well as it is not possible to manage the whole parts into one plate.

In this case, the software will offer us many different nesting possibilities and we may choose the one we want to nest.

The whole process may be completed for the different nesting by separate.

Check component and stock before starting

If there are various thickness's and/or grades, select a nesting to start Nester

Selecting a nesting will open the Nester module.

Nester: description

Automatic positioning parts options

Manual positioning parts options

Double torch and common cut options

Menu for managing cutting lines

Coordinates and parameters menu

Under-tabs

Under-tabs screen menu

Save icon

Go directly to pathfinder (without going back to SP.PLM)

By clicking the icons it is possible to position parts automatically into 1 plate, automatically into all the necessary plates and automatic postioning with a limit of time for calculation.

By using these icons it is possible to select to part we want, to move, to copy, delete one part, delete all (in one plate) or positionning with precision.

These are the short cuts to rotate parts when selected.

Double torch mode or common cut mode icons, they may be selected before positioning parts (automatic or manual)

By clicking on the tabs it is possible to see the available options

  • Part: we see remaining parts to nest
  • Format: we can take a new format by double clicking on the [image] icon
  • Nesting: we see the different plates already nested (also by double clicking on them)

Remnant (cutting line) is automatically added if possible, it can be removed, modified or reset by using the "Technology" options

Save icon, when Nester completed, click save and close or close de window and save

After closing the Nester module the result is available in optimize cutting tab as following:

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Pathfinder

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Pathfinder: the 2nd step for manual plate nesting

Selecting an optimization cutting and pressing the [image] icon will automatically open the Nester module.

It is also possible to open Pathfinder from Nester by clicking the icon

Check component and stock before starting

If many possibilities, select a nesting to start Nester

Selecting a nesting will open the Nester module.

Save icon, when Pathfinder completed, click save

This window will appear. Select your cutting mode and select next plate to complete pathfinder, or close

Turret: description

Automatic positioning parts options

Manual positioning parts options

Double torch and common cut options

Menu for managing cutting lines

Pathfinder: description

Automatic positioning parts options

Manual positioning parts options

Double torch and common cut options

Menu for managing cutting lines

Coordinates and parameters menu

Under-tabs

Under-tabs screen menu

Save icon

Go directly to pathfinder (without going back to SP.PLM)

Duplication parameters

Remnant (cutting line) is automatically added if possible, it can be removed, modified or reset by using the "Technology" options

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


DocViewer

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

DocViewer: the 3th step for manual plate nesting

After complete Nester and Pathfinder, by pressing the [image] icon you will access to the DocViewer module. The icon is only available when Nester and pathfinder completed

(Optimize cutting tab must be also selected)

When DocViewer module window appears, you should select one of the next options to view or print one or more reports (for one or more plates).

Depending the selected option, the process may be repeat after selecting a different plate on the left bottom window.

The machine report may be accessible (after around 30s) on the pdf viewer, check your windows bar where you can find it.

Report description

Put your own logo (more information here)

Nesting name, file name and machine name

Stock data

Estimated time

Necessary tools the operator needs to prepare before executing the nesting on the machine

Name of the created offcut (if created)

Part list and description

A second page will be also generated on the same report to offer parts preview for the operators help:

Generating manually the offcut

Important:

  • If the cutting line (Nester) has been generated, software will automatically generate the offcut (and automatic name it)

  • If the cutting line (Nester) hasn't been generated, software will NOT generate an offcut. In some cases, it is possible to generate it manually and this is done on DocViewer module by following the next steps:

Generetad the report as shown previously

Click the [image] icon

Click left and right mouse button on the offcut

Offcut name appears on the DocViewer module, the offcut can be used for next nestings

In this case the offcut name wont appear on the report, you should write it by yourself.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Offcuts import

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Offcuts are automatically saved and managed into SP.PLM. After generated, it is possible to load them and nest parts on.

Pressing the [image] icon will automatic load the saved offcuts into the stock tab, they will be ready to nest.

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Offcuts Manager

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Overview of existing offcuts

Same as here , but without the possibility of adding manually a new offcut.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Standard Gaps

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Temporary modification of gap between all parts of a nesting

In the workstation's parameters, we imported from the resource editor the values of the gaps between the parts.

So, for each thickness / material code, the parts have a constant gap between them when being nested on a plate.

In our example, we defined a 20 mm gap between parts of 15mm STEEL :

If we want to change this value for the current nesting only, once pressed the Standard Gaps button, one can edit the following grid :

Note that this change will affect all the parts (STEEL / 15mm) of the nesting, and has to be done before nesting the parts on a plate

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Report

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Pressing the Reports option will open the reports module.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Automatic Plate Nesting

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Automatic plate nesting: let the software work in automatic mode

Pressing the [image] icon will open the automatic nesting options screen. This tool will nest your components into your available stock \ purchasable lengths, with powerful algorithms prioritising either minimising scrap, remnants, or number of plates.

To use the automatic nester, simply press [image] and it will use the options you have set up to nest the parts to the available plates.

You will see this window during the software time calculation:

After this process, we should tell to the software the cutting mode (plasma or oxy)

This information needs to be enter for each plate the software is creating.

At the end you will found the created plates in the plate list. Still needed to validate the result and use Docviewer to print manually the nester report for the operator.

Automatic plate Nesting Options

General

On the general tab is possible to parameter maximum time spend by step (Nester and Pathfinder).

Deliverable lenghts

On the deliverable dimensions tab we may select or deselect the commercial lengths we want to use for this particular nesting by double clicking on the black icon

If we manually already added some stock or offcuts this will be used in priority.

Profile

In case of multi-thickness nesting, we may choose the thickness(es) we want the software to nest.

Thickness can be selected or deselected by double clicking on the black icon [image] .

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Import

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Import: use it for update PLM stock using your own stock lists

Pressing the [image] icon will open the stock import menu. This tool allows to import stock lists in excel or other formats.

If different imports are configured, we may click the arrow and select the import you want to use:

After this process, we should see the available items on the default configured path. If any change, it is possible to select other paths in order to find the file we need.

Once the files found, select the files you want to import by double clicking on [image] or by using the next bar menu [image] and press

Found stock will be automatically add to the stock nesting tab:

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Export

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Export: in order to export CNC file to the machine, one of the options is to press the export icon when the work is ready.

This Icon is hidden when a production manager licence is active

Pressing the [image] icon will open the export menu. After this a new window will appear with the available defined exports:

Choose the one(s) you want to use by double clicking on [image] or [image] icon and press [image] to export.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Production Time Input

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Created with the Personal Edition of HelpNDoc: Free EPub producer


Remaining Parts

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Remaining parts

When pushed down, the component list only displays the parts to be nested, not the ones already in plates.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Filter

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

To define a filter, click on the arrow [image] and fill the needed fields :

In this example, we want to display the components, whose names start by "V"

If you press [image] , you can add another filter.

Then, to apply the filter, press in the centre of the filter button.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Tips & Tricks

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ››

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Resource Editor

Steel Projects PLM - Modules ›› Project ›› Module - Plate Nesting ›› Tips & Tricks ››

In order to modify some machine parameters before nesting, it is also possible to access the resource editor from the plate module.

Pressing the [image] icon will open the workstations menu where we can find the machine parameters:

On the machine parameters window, it is possible to access Resource Editor and comparison in order to modify and update many nesting parameters:

Import parameters - Import machine parameters file

Resource Editor - Access de machine and nesting parameters manager

Comparison - Access a updater menu in order to compare or import or update the resource editor data into SP.PLM

Tools - Access the updater menu which compares the available tools in Resource Editor and SP.PLM

Technological parameters - Access the updater menu which compares the available thickness and gaps in Resource Editor and SP.PLM

Resource Editor Window

Click Resource Editor to access more information

Tools window

When accessing the tools window it is possible to compare to tools on [image] SP.PLM and [image] Resource Editor

The tools that software has found on Resource Editor and are not present into SP.PLM are represented with green color.

By clicking the [image] icon you can automatically add this tools into SP.PLM. Then you have to press [image] to validate before closing the window.

Technological parameters window

Same rules than tool comparison. SP.PLM and [image] Resource Editor

The thickness which values are different are represented in red color.

By clicking the [image] icon you can automatically update this values into SP.PLM. Then you have to press [image] to validate before closing the window.

The thickness that software has found on Resource Editor and are not present into SP.PLM are represented with green color.

By clicking the [image] icon you can automatically add this tools into SP.PLM. Then you have to press [image] to validate before closing the window.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Module - Production Manager

Steel Projects PLM - Modules ›› Project ››

The main module to manage your production

Production Manager allows to send pieces to workstations and to follow the production work-flow. You have the same possibility defined in Module - Project Manager with additional functionality to manage and follow the production.

With this module 3 possibilities will be activated.

  • Send to Production
  • Production Manager
  • Fabrication Job

The main difference with the project manager is that the production status displayed for each element (Project/Drawing/Assembly/Component).

When you move the mouse over the production's progress bar, a grid with detailed informations appears.

When an element has a feedback level completed, the colour of the progress bar changes according to what has been set-up in the feedback parameters .

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


Control

Steel Projects PLM - Modules ›› Project ››

Module to control the production feedback and the consolidation status

Created with the Personal Edition of HelpNDoc: Free EPub producer


Feedback Gathering

Steel Projects PLM - Modules ›› Project ›› Control ››

Forces the feedback service to collect the data from the machines and to consolidate it, if possible.

This operation only works when done on the SQL server

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Connections

Steel Projects PLM - Modules ›› Project ›› Control ››

After a manual consolidation, the links between the feedback and the existing data are stored here.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Raw Data

Steel Projects PLM - Modules ›› Project ›› Control ››

Here, you can find all the feedback data, in their original format.

Created with the Personal Edition of HelpNDoc: Full-featured multi-format Help generator


Fabrication Manual Input

Steel Projects PLM - Modules ›› Project ›› Control ››

Allows to manually type the production time, without feedback module.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Export

Steel Projects PLM - Modules ›› Project ›› Control ››

Exports the feedback data to a custom ERP software.

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Reports

Steel Projects PLM - Modules ›› Project ›› Control ››

Prints a selection of reports.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Refresh

Steel Projects PLM - Modules ›› Project ›› Control ››

Refreshes the displayed data.

This action doesn't force a feedback data gathering

Created with the Personal Edition of HelpNDoc: Free help authoring environment


Focus

Steel Projects PLM - Modules ›› Project ››

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Part Checking

Steel Projects PLM - Modules ›› Project ›› Focus ››

Check if your parts can be produced

SPPLM has the ability to check the feasibility of the parts in the Project Manager in order to assess if the parts can be done on your machines

Configuration

To use this option you first need to activate it in the Company Configuration - Project Manager tab

From this menu you can activate the different types of checks the software will perform :

  • Export Unchecked Part - If this option is not switched on, parts can not be exported if they have not been checked, or if they have failed the check. With it on, it is just used as a visual indicator.

  • Edge Gap - Max distance a hole will be to the edge of a part that you will get a drilling error

  • Hole Gap - Max distance to another hole. Anything less than this you will get a drilling error

  • Bending cheking -

  • Leadcut checking - If there are any leadcuts (unrecognised coping macros) in the part you will get a warning

  • Hole Checking- Warning if there are holes outside the part or too close to an edge or other hole

  • Scribing Checking - Warning if there is any bad scribing lines on the part

  • Marking Checking - Warning if there is a mark off the part or too close to an edge

  • Toolings checking - The check looks at the tool tables you have set up for your available machines, and warns you if there is a tooling that you do not have a tool set up for

  • Coping Checking - Works in conjunction with Ficep cope checking software and gives you a warning if there are any coping macros that can not be done on your machine In order to use this option you need to copy the folder d:\Minosse from the machine itself to a local \ accessible network location. You then need to set this path here

  • EN1090 cheking -

Functionality

With this option enabled you will notice a shield icon next to all of your Projects, drawings, assemblies and components. If you put the mouse over the icon it tells you the state of the checking

The default status for all items is Not CHecked.

You can check parts from a Project to a Component level by selecting items (using Ctrl or Shift to multi select) and going to the Right Click Menu. In there there is an option for Tools - Check Part

Once the parts have been checked the shield icon will change to either Valid [image] or Not Valid [image] depending on whether the part can be done on your machines

To check what the problem is with the un-valid parts, double click on the component to go into its Options page and press the ERROR tab

The errors will be shown in the list. If you click on the error in the list you can see the error details.

If you have checked the part and the issue is not a problem, press "Validate Error" on this screen. The part will then be recorded as [image] "Validated by the User"

It is also possible to validate parts with errors from the right click tools menu

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Document Manager

Steel Projects PLM - Modules ›› Project ›› Focus ››

Add documents directly attached on contract, drawing , assembly and parts

The document management in SPPLM gives you the ability to attach one or more electronic documents to your Projects, drawings, assemblies, components and customers

Attached documents are stored on the server database.

Steel-Projects PLM functionality applies a version to these documents and can preserve a history of changes.

Parameters

You need to enabling the document management in the general configuration settings

In the tab-Steel Projects PLM, select the tab "Settings" icon and then "Configuration". Check the box to enable document management in the general settings section.

Functionality

Once the document management enabled, an additional tab appears in the relevant options page.

Default view

This view displays only the attached documents and their revisions:

The information displayed is:

[review] Document Name (identical to the file name here)

File name for the revision of the document

The file size on the disk (same units and rounded to Windows)

Author of file revision

Date and time of file modification.

No change is possible in this view. Double-clicking the icon launches the preview using the default Windows program (which means that if there is no program associated with the file type, Windows will ask which application to use).

The transition to full is done by clicking on the vertical bar "Operations" on the right

Expanded View

To open the expanded menu press the expansion arrow on the right side

Once in full view, you can perform various operations on the documents and revisions.

The icon representing the document comes from the operating system when loading the file. It can be generic (as above) or represent a preview if it exists and is supported by Windows.

Management rules

- You can always create a new document.

- You can always rename a document.

- You can not delete a document if it does not exist in revision 0.

- The same file can be associated with several documents / revision.

- Creating a new revision, it duplicates the previous revision is locked.

- You can not change the current revision of a document.

- You can not delete the last revision of a document

- The author is optional

- Revision dates (creation and modification) and the modification date of file can not be edited manually

Document Management

New Doc

Create a document. May enter a document name and click "Nv.doc. ". If no name has been entered, the document created without a name. It may be renamed later.

New from file

Click "Nv. from ... ". Dialogue open file appears. You can select multiple files. Many documents as selected file will be created. The name of each new document without the corresponding file extension.

Rename

Select any revision of the document in the list on the left. Enter a new name. Click "Rename". All revisions are known, the files are not affected.

Delete

Select document revision 0 to remove (delete prohibited if more than one revision). Click on "Remove".

Revision Management

New Rev

Select any revision of a document. Click "New. Rev. ". The latest revision of the document is duplicated and locked.

File

File information and author assignment.

Load

Update an existent revision of a document. Click on "Load". A file selection dialog appears. Select the file. The size of the latter and its modification are extracted automatically. Modification date of the revision is updated.

Preview

Viewing a file

Rename

Select any revision of the document in the list on the left. Enter a new name. Click "Rename". All revisions are known, the files are not affected.

Delete

Select the latest revision of a document (only the latter can be deleted). Click on "Delete"

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Revision Management

Steel Projects PLM - Modules ›› Project ›› Focus ››

Manage the revisions and compare

The Revision management tool can be used to keep track of different revisions .

Any changes to the facts of the Project, drawing, assemblies, component and sub-assemblies are stored in the system

Enable revision management:

The Revision management parameter needs to be activated in the Company Configuration .

Create a Revision

There are two ways to create a revision:

  • Through the Project Manager.
  • Through an import.

Create Revision In the Project Manager

It is possible to create a revision on an individual Project . Right click on the Project in question and select Create a revision in the right click context menu.

If a revision is possible, a create a new revision window opens.

A revision is then created. All changes to the details of the Project will now be performed on the current revision.

Create Revision From an Import

When parts are imported any differences between the new version and the current version are compared The import will ask you if wants to modify the data by making a revision or not.

If yes you need to fill the check-box and [OK]

Project Review, Drawing, Assembly, Component

Revisions of Projects

On this screen, two concepts relate to revisions.

Revision No. column indicates the current revision of this case. In the example above, the selected case is currently under revision 1.

Last revision column indicates the last revision that changed the database of the Project

Revisions of Drawings

On this screen, the column last revision indicates which revision data on this drawing are active.

Revisions of assemblies

Modification of an assembly may involve two actions:

Changing the amount of an assembly in a project, addition of an assembly to a project

The modification of data assembly as such (description, master part)

On this screen, the last revision column indicates which revision assembly is active.

Revisions of Components

Modification of a part can be of 4 types:

  • Changing the quantity of the part in an assembly, the addition of a component to an assembly
  • Modification of part data (grade, profile, length, width)
  • Changing the machining of the component
  • The composition of the pre-assembly part.

Display Of Revision History

View Project Revisions

It is possible to compare the different revisions of a Project from the Project Options Information Screen (Double click the Project from the main Projects list)

On Projects that have been revised, the there is a tab called "revision" which sows all the revision history

This tab shows the dates of any revisions, as well as the description that has been entered.

It also allows you to compare two revisions by right-clicking on the line that you want to compare.

Then simply choose how you want to review the comparison.

The comparison review screen appears:

The colours used on the nodes:

  • Green colour: the element was added compared to the initial revision (in the example above PART4 not exist in the assembly revision 0).
  • The colour orange: the data has been changed between the two revisions (in the above example PART1 saw its length increased from 1500 to 1600 between revision 0 and revision 2)
  • The colour red: data no longer exists (eg, a piece has been removed from Revision 0 and Revision 1).
  • Yellow: the data concerned has not been changed, but one of its nodes has been attached (in the example above ASSEMBLY has not been changed, but the elements of its composition so).
  • No colour: any changes to the element and its descendants.
  • The window buttons:

Comparison of Components:

Navigate in the Tree hierarchy to the part you are looking for and it will view the part in both revisions of the project

View Component Revisions

It is also possible to view the history of changes to a particular component.

In the component Options screen, a component which had had revisions have a VERSION tab for viewing the design of different versions of the piece.

The left grid shows the range of validity of the component (in the example above the component was amended in Revision 1 and Revision 2).

As in the comparison sheet revision, it is possible to display the version with a double click on the preview picture.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Data

Steel Projects PLM - Modules ››

Material GradeMaterial TypeTreatmentsPaintingProfilesFolding ParametersStd FlatsCustomersCountriesToolingsStd ToolingsProfile GroupsWorkstationsExactProducts

From this menu you can set up most of the Data for your company

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Material Grade

Steel Projects PLM - Modules ›› Data ››

From this menu you can view or set-up your specific Material Grades. Some standard grades are created automatically or you can modify these as you wish

To add a new material grade to the database, type the name into the search box and then press NEW or Ctrl+N

You can then add a description and density (the standard density of steel is 7.85) and then either press SAVE to save and close or NEXT INPUT to add another Material Grade

You can define a material type. this will help you to define and material code link.

Depending of the Project manager option you will be able to define Equivalence between Material grades.

You can define Material Code for each Material Grade or according the Material type you define.

To view the list of material grades, either press f3 or double click in the search box

Then double click on any of the grades to modify its name, description, or density, or delete it from the database

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Material Type

Steel Projects PLM - Modules ›› Data ››

From this menu you can view or setup a specific Material Type.

Used only for Plate Nesting Module this parameter will regroup a list of material grade to link with a specificity material code.

To add a new material type to the database, type the name into the search box and then press NEW or Ctrl+N

You can then add a description

You can then affect a Material Code for this Material type.

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Treatment

Steel Projects PLM - Modules ›› Data ››

From this menu you can view or setup your different types of treatment. Treatments are extra processing that is not done on a CNC machine, for example Shot blasting or Galvanising. By using the treatments function in PLM you can create specific lists or custom workflows for automatic handling machines.

To add a new treatment to the database, type the name into the search box and then press NEW or Ctrl+N

You can then add a description and then either press SAVE to save and close or NEXT INPUT to add another Treatment

Tooling - To associate the treatment with a tooling, you must do this here. This is required when you have an CNC machine that can do the treatment automatically, for example an automatic Shot blast line.

For more information on tooling see here

To view the list of treatments, either press f3 or double click in the search box. By default this list is blank

Double Click on a tooling to view it and add a description if required.

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Painting

Steel Projects PLM - Modules ›› Data ››

From this menu you can view or setup your different types of painting. This can be used to for reporting, automatic paint requirements calculation, or for custom workflows for different painted or none painted items. You can also set up different rules more single flange unpainted bars.

To add a new type of Painting to the database, type the name into the search box and then press NEW or Ctrl+N

General - Specify the default thickness of this type of painting

Tooling - To associate the Painting with a tooling, you must do this here. This is required when you have an CNC machine that can do the Painting automatically, for example an automatic paint line.

For more information on tooling see here

Optimize Cutting - If you produce bars that are one flange unpainted, you can control this here by turning off the part rotations the section nesting module will use to optimise the nesting. this allows for the top flange of the part always being at the same place in the bar for all nested parts with this painting type

To view the list of treatments, either press f3 or double click in the search box. By default this list is blank

Double Click on a painting type to view it and modify details if required.

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Profiles

Steel Projects PLM - Modules ›› Data ››

This menu opens up the Profile Manager. By default a full list of standard profiles are included in the database. Profiles are automatically added to the database when importing them from certain CAM files.

View Profiles

To view the list of profile, either press f3 or double click in the search box

A new window will open up. You can type in this box to filter the results.

Double click on a profile to see its details. In here you can manually modify any of the dimensions if required.

Adding New Profiles

If you need to manually draw a part with a bespoke profile size, you need to first add it into the Profile Manager

To manually add a new profile to the database, type the name into the search box and then press NEW or Ctrl+N

Then choose the type of profile by clicking on the corresponding icon, and add the profile measurements

The weight, surface area and section are automatically calculated

When you are finished, press SAVE to save and close or NEXT INPUT to save and add another Profile

Creating a Generic profile

It's possible to create a parametrized profile.

This is used when you don't want to create all dimensions of a profile.

In the profile name field, type the prefix of the profile, plus a "?"

This question mark means some parameters are expected

When you press enter, in the next screen, you will have to enter the parameters in their sequence

When you will use this profile, you will have to input as follow :

SHS100*3

The first parameter after the profile name, 100, will be assigned to the height and the width of the square profile

The second, 3, will be the thickness

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Folding Parameters

Steel Projects PLM - Modules ›› Data ››

Steel Projects PLM includes a part unfolding tool.

To use it, the folding parameters must have been set-up.

The goal is to define a ratio, r, for each folding case.

This ratio, in green here, is the position of the neutral fibre, as shown below : (0.5 is in the exact middle of the thickness, 1 is on the inside and 0 is on the outside)

Let's analyse this example :

The folded angle profiles have a 0.5 ratio.

A folded angle, with a S235JR material grade have a ratio of

0.30 for a bending angle -180° <> -90°

0.33 for a -90° angle

0.35 for a bending angle -90° < > 180°

In our example, the first line is not mandatory.

By default, the ratio, if not defined in this grid, is equal to 0.5

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Standard Flats

Steel Projects PLM - Modules ›› Data ››

Standard Flats are parts that PLM can use section nesting for, in order to go through a linear machine such as a saw drill or angle line for example.

You can use this screen to set the standard flat sizes.

Any part with a size not in this list, or of a none standard shape, will be imported as a gusset\plate in order to be sent for plate nesting

To add a new size not already in the list, type the size in the box and press the right [image] button to add it as a possible thickness, and the bottom [image] to add it as a width

Then if you double click it the intersection point on the grid, it will make this option black and therefore recognised as a standard flat.

To multi select or deselect a row or column, choose the circles you want with the mouse while holding the Shift or Ctrl key, and use

To totally delete a certain thickness or width from the list, press on the line and then press

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Customer

Steel Projects PLM - Modules ›› Data ››

You can use this menu to add details of your customers in order to automate reports, and view attached documents from the document manager

To add a new customer to the database, type the name into the search box and then press NEW or Ctrl+N

General - Add descriptions for the customer including their VAT codes and comments. This information can be associated with the customer and shown on reports

Attached Documents - Shows all documents that have been attached using the DOCUMENT MANAGER

Address - Add Address's associated with this customer.

To add a new address press [image] and enter the details below.

Add an extra address by repeating the same steps.

Once completed press [image] to save and exit or [image] to add a new customer

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Country

Steel Projects PLM - Modules ›› Data ››

If you operate in multiple countries you can list them here to be available in drop down menus throughout the program

To add a new country to the database, type the name into the search box and then press NEW or Ctrl+N

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Exact Profile \ Material Grade

Steel Projects PLM - Modules ›› Data ››

It is possible to associate none standard profiles or material grades with standard ones you have set up in your database. With this option they are automatically changed to be to profile or material grade you have set up.

To use this option you first need to activate the option in the CONFIGURATION menu

The associations are created when parts are imported using an option at that stage. With the configuration option ticked when you try import a part with a profile or grade that is not in your database, the exact profile window will open.

If you press [image] the profile will be added to the database. If you double click in the ID box, it will open up a new window for you to find a profile to associate this one with

You can type in the profile box to filter the results

This menu allows you to view and delete all of the associations that have been made

Click on the relevant tab to view the list.

To delete an association, click on it in the list and press

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Products

Steel Projects PLM - Modules ›› Data ››

This option is only visible if you activate the product management option.

Activating this option will give you an extra option to manage products like bolts, washers, nuts, etc.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Toolings

Steel Projects PLM - Modules ›› Data ››

From this menu you can create all the toolings you can complete in your factory. This includes machine specific tooling such as drilling, cutting, coping etc and also none machined processes such as assembly, welding and delivery.

Toolings are associated with parts when they have been drawn or imported in the project manager. If a part has holes in it for example, it would have the drilling tooling associated to it. When you set your workstations up, you state what toolings can be performed there. The system will then know that this part needs to be sent to a workstation that can do this tooling

All of the standard toolings are already set up, but you can add extra ones if you require to have an advanced production routing, or achieve production piece monitoring from none CNC workstations.

To view the list of toolings, either press f3 or double click in the search box

To add a new tooling to the database type the name into the search box and then press NEW or Ctrl+N

If a standard tooling exists that has not already been used then you can make this association from this screen. If it is a manual tooling, you must choose "Not Any"

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Standard Toolings

Steel Projects PLM - Modules ›› Data ››

You can use this menu to apply rules to automatically assign certain toolings to parts. This is required for advanced machine routing and not required for standard usage.

To add a new standard tooling press the + button on the toolbar or right click and press new

From this window you can then choose a profile group and choose the tooling to be added to the either all the parts, the finished assembly, or the master part.

Group - Use this list to create a process only for one profile group ( If empty the process will be created for all groups )

Tooling - Use this list to create a process only to replace an existent one

Create Process - This parameter defines the tooling process to create

Quantity of tooling process - This parameter defines the quantity

Description - Optional description

Parts - Define the part's type affected by the tooling creation.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Profile Groups

Steel Projects PLM - Modules ›› Data ››

Custom profile groups are used to group similar parts together for specific production workflow routing or to help you for a selection.

For example, you may want parts with a certain tooling, or a different size or profile, to go through your factory in a different route than other parts with different characteristics.

The complexity of your profile groups will depend on the number of workstations you have in your factory and the complexity of your workflow.

The name of your groups can be a certain section, or any other name that means something to the way you work

To add a new profile group, type the name into the search box and then press NEW or Ctrl+N

General

Description, Maxi Nb of Diameters, Maxi Nb of Gauge Lines - Specify criteria parts need to adhere to in order to be selected for this group. If left at 0.00 these are not used as criteria

Tooling

Specify toolings that are either Needed or Forbidden. Click on one of the toolings in the list on the left and press [image] to add it to the correct window

If the part is Needed, then a part must have this tooling associated with it in order to be assigned this group. If a tooling is forbidden, a part with this tooling can not be assigned in this group. Toolings that are not put in one of these options are not used as a criteria for the profile group

Detail

Specify the profiles or profile ranges to be included in this Profile Group

Add a new profile or profile range to the list

Add all profiles to the group

Delete a line from the list

Double Click in the Category window and choose the required profile from the drop down list

To create a detail profile group range, you can add add more specific information

Prefix - Specify a profile name prefix. For example, UC or UB if you want to have separate groups for these two types of Profile

Min \ Max Web

Min \ Max Flange

Min \ Max E_Web (thickness)

Min \ Max E_Flange (Thickness)

Press Save to save the Profile Group or Next Input to save and create another group.

If you create a list of groups that have overlapping profiles, i.e, part can be attributed to more than one profile group, then it is assigned to the one which is first alphabetically.

Use

If you change or add a profile group you can regenerate and affect the proper group to your parts with this tool :

You evaluate the profile group in the part list :

You can use profile group as filter for your selection :

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Workstations

Steel Projects PLM - Modules ›› Data ››

You use this menu to set-up and configure your factories machines \ workstations.

To view the list of workstation, either press f3 or double click in the search box

To add a new workstation to the database, type the name into the search box and then press NEW or Ctrl+N

The configuration of the machine is dependant on the type specifics of the model

Configure the machine with the following tabs:

GENERAL - General setup of the machine

TOOLING - Set what toolings can be performed on the machine

PARAMETERS - Set tooling specific options

CUT PARAMETERS - For Coping Machines. Set the cutting tools the machine has

HOLE PARAMETERS - For Drilling machines. Set the drilling tools the machine has

EXPORT - Set extra CNC export options for the machine

PROFILE - Set profile specific nesting parameters

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


General Options

Steel Projects PLM - Modules ›› Data ›› Workstations ››

Name - The name of the workstation

Description - Add a description of the station if required

Type - Choose the type of the workstation. Some of the later options are dependant on the type chosen. For example, if you choose saw, then the cutting option will be made available to you.

Shop drawing - Automatically print out part drawings for parts when sent to this machine

Feedback Type - For Piece tracking / monitoring. Only activate if you want to use this workstation with feedback, double click and choose the type from the list. See Feedback Type

Export - Choose the pre setup export to use to send files to this workstation. See Project Manager - Export

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Tooling

Steel Projects PLM - Modules ›› Data ›› Workstations ››

Select the toolings that can be performed at this workstation. To select them, click on the list on the left side and press the arrow to move to the right See Toolings

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Parameters

Steel Projects PLM - Modules ›› Data ›› Workstations ››

Parameters - Nesting

These options are used by the SECTION NESTING module for linear CUTTING or COPING machines.

First Cut - Area cut at the front of the bar for a trim cut

End Bar Scrap - Area kept free at the end of a bar for the pincher area

Saw Thickness - Thickness left between parts to take into consideration the material lost with the cut

Distance Cut Not // The distance kept between cuts with different angles. Cuts with the same angle will always be cut common cut

Remnant - Leave the remnant at front or back of the bar

Width Of Packet - For pack nesting

Height of packet - for pack nesting

X, Y, XY Symmetry - Allow part rotations by section nester for optimisation

Optimize Flange Cut - If selected, PLM will nest parts with flange bevels together. If not, flange cuts will be sent as straight cuts.

Unitary Quantity - Instead of having identical bars with multiple quantities, bars will always be unique

Maximum length - The length of the machine in-feed which affects the maximum bar size

Small Part Position - Set if you want small parts to be nested with priority at the start or end of the bar.

Parameters - General

These settings affect the time calculation by the PRODUCTION MANAGER module

Parameters - Tooling

All of these options are machine specific and dependant on the Tooling the machine can do.

Maxi Nb of Gauge Lines - Set the max number of gauge lines the machine can do in any one bar each side

Maxi Nb of Diameters - Set the max number hole diameters the machine can do in any one bar each side

Maxi number of components per bar - Select if you want to minimise the number of components in any bar

Verify cut angle min / max - Set the minimum and maximum angle the machine can cut to. Anything outside of this range will be sent as square cut.

Scribing - Set the scribing options if this machine is capable of it. The settings affect the time estimation by the Production Manager module

Marking - Set the type and speeds of part marking operations

Drilling - Set the type of drilling performed by the machine, number of heads and speeds and loading times to be used by the Production Manager module

Cutting - Set the default cutting speed of the machine

Parameters - Bundle

Use these settings when you have an automatic shot blast machine and need to create bundles of bars to send through at the same time.

Width - Width of the rollers. The software calculates the amount of bars it can bundle together using this setting and also half of the height of the profile

Mini Length - The minimum length of a bar, normally the size of the gap between the rollers

Minimum distance - the min distance between bars

Gap height, Length - the height and length of the gap

Treatment Management - Bars with different treatments are bundled separately

Painting Distinction - Bars with different Painting are bundled separately

Storage Distinction - Bars with different storage areas are bundled separately

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


Cut Parameters

Steel Projects PLM - Modules ›› Data ›› Workstations ››

This tab is available only for Coping machines.

Using this tab you can set in the software the cutting tools that are available on this machine. This is used by the PART CHECKING function and also for detailed time calculation by the Production Manager module. These tables can be imported automatically from Ficep machines or added manually for none Ficep machines

For automatic import of these settings see here: Automatic Import From Ficep Machine

To add a tool manually, open the top menu by pressing on the hidden box at the top, then press

Make the selection of the type of tool from the dropdown (oxy\plasma) and then fill the rest of the details by typing in the corresponding boxes

To delete a tool, click on it and then press

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Hole Parameters

Steel Projects PLM - Modules ›› Data ›› Workstations ››

This tab is available only for Drilling machines.

Using this tab you can set in the software the drilling tools that are available on this machine. This is used by the PART CHECKING function and also for detailed time calculation by the Production Manager module. These tables can be imported automatically from Ficep machines or added manually for none Ficep machines

For automatic import of these settings see here: Automatic Import From Ficep Machine

To add a tool manually, open the top menu by pressing on the hidden box at the top, then press

Make the selection of the type of tool from the dropdown and then fill the rest of the details by typing in the corresponding boxes

To delete a tool, click on it and then press

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Automatic Import From Ficep Machine

Steel Projects PLM - Modules ›› Data ›› Workstations ››

The tool tables can be exported from a Ficep machine as an fnc file. This can then be imported into PLM for these tables to be added automatically

To create the file on the ficep machine: In Minosse go to PROGRAMMING - ARCHIEVE - EXPORT

Choose the Table list and add all of the table lists into the ITEMS TO EXPORT window

Choose an output path and press OK to create the file

Then in SP PLM, in the Cut Parameters option, press the tools [image] import parameters option and browse to the file to import the settings automatically

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Export

Steel Projects PLM - Modules ›› Data ›› Workstations ››

It is possible to set up extra export interfaces for this machine as well as the default export. This is useful if you would like to automatically send backup files to a separate location, or if you want to export to multiple identical machines and let the capacity be decided at a shop floor level

To set the extra export, double click in the Export window and select one of the already defined exports. To set these up SEE HERE

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Profile

Steel Projects PLM - Modules ›› Data ›› Workstations ››

It is possible to set up different ranges of nesting parameters the section nesting module will use for for different profiles this machine. This is made so you can be more specific than just having one set for all your different profiles.

To add a new range, press the + button and select the type of profile from the drop down. Then set the specific nesting parameters for that profile. These options are used instead of the default nesting parameters for any profile in this list

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Production Workflow

Steel Projects PLM - Modules ›› Data ››

Once you have set up all of your machines, toolings and profile groups, you can use this screen to set-up your company's workflow.

The aim is to define the routing workflow all of your different profile groups can take through your workstations in all of your sites and departments. The screen provides an easy to use drag and drop interface and uses standard process management rules.

The complexity of your workflow depends on the number of workstations and profile groups you have set up.

If you have a complicated workflow with multiple factories or departments, please SEE HERE

The basic function of this feature is that you have a quick access menu to the machines etc that you have already set up on the left hand side, and the white window to the right is where you can create your production workflow diagram.

At any stage you can add new workstations , toolings or profile groups by clicking on the corresponding list on the left menu, and pressing the [image] button. This gives a short cut the the separate option screens

The first thing to do is to create a start point. Do this by first clicking on the Workstations list on the left hand side, and then dragging the icon into the white space.

You can then drag your workstations into the white space and place them in a logical order that represents the physical top down layout of your factory.

Then you can create a connection to the first point to each work station by first clicking the centre point of the start point, and then one of the conner boxes in the workstation

Continue to add your workstations and make connections until you have created your production workflow

The next step is to create the specific workflow paths for your different profile groups

Click on the profile groups list on the left menu and click on the group you want to set a path for

Then, starting from the first point, you need to click on each connection arrow for all the workstations associated with this workflow path, and press "Add to Connection"

This will put a number next to the connection, representing the priority of the path

If multiple paths are possible, do the same for all connections and it will show a number representing the priority of the path. When there is more than one path available the parts can have multiple workstations opportunities.

You need to add to each of the connections from the start point to the last workstation in your workflow

Do this for all of your different profile groups. Each group should have its own specific connection path.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Sites and Departments Management

Steel Projects PLM - Modules ›› Data ›› Production Workflow ››

If you have a more complex workflow including multiple sites and or departments, you can use the option for site and department management.It basically adds some extra hierarchical layers of workflow to group together workstations instead of having large complicated single diagram flows.

The first thing is to activate the option in the Configurations - Company Options - Project Manager screen. With this option enabled, you get the more advanced options in the Production Workflow screen

This will then activate two extra options in the sidebar menu in the Production Workflow screen

To add a new site or department, click on

When you have added all your sites, you will see that you have extra tabs at the top of the white space.

At the top level, you need to set the potential flow between your sites. Do this by using the same drag and drop method as before.

You then need to set the workflows for inside each of your sites. Do this by clicking on the tab on the top of the whitespace, and set the workflow of your workstations inside that site

You can do the same for your departments if you want to group these together.

You then need to set the Profile Groups Connections as before, for all of the connections at each level, incliuding site, department, and workstation flows.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Project Manager Data

Steel Projects PLM - Modules ››

ImportExportTypologyExecution ClassesAuto MarkEmployeesEmployee Management

The Project Manager Data menu is an advanced configuration tab concerned with the import and export of data into and from the Project Manager and other advanced option.

Click on an icon to open the related chapter.

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Import

Steel Projects PLM - Modules ›› Project Manager Data ››

If you want to import data from any other software, you must first configure your imports here. This includes imports from other Cad\Cam software, excel spreadsheets and Steel Projects CAM files

It is important to note the imports, with the exception of the SP CAM import, require the purchase of a site import licence being available.

You can control a lot of the information that is imported with each type through the configuration options. You can have multiple imports of the same type with different configurations, for example, dstv files with

To add a new import, type the name into the search box and then press NEW or Ctrl+N

Type: You need to choose a type of import from the type drop-down list. The type of file can represent either the file extension or program the files were created in for program specific import types.

DSTV IMPORT

DXF \ DWG IMPORT

TEKLA XML IMPORT

Directory: Specify the default directory where the program will look to import the files from. If you use sub directories then choose the top level.

Important You must specify the file extension after the directory path in order filter for only the correct files. As dstv files have an extension .nc, type *.nc* at the end of the path. For dxf files it would be *.dxf. for XML files *.xml*

  • ASSIGN ANALYTICAL GROUP - Automatically puts parts into relevant profile group on import
  • DRAWINGS DESPATCHING - Gives you the option to change the Project or Drawing name when importing the parts

To change the project or drawing name, type the change in the bottom box and press the corresponding box next to it to change the relevant information. If you have the configuration option "customer project" activated, you will still be able to see the original project name

If there are multiple different Projects or drawings then you can multi-select them and change them all in one go.

DRILLINGS CHECKING - Set a distance and SP PLM will flag up a warning if there are any holes too close to an edge

COMPARE - With the compare function selected, you can check if the parts you are importing already exist in the database, and if so, what the differences are with the existing parts.

If the parts are different then it will show the difference in red highlight. If the change is in the profile, width, length or grade you can see it in the list, or you can see the previous and new previews in the windows below.

PREFIX - It is possible to prefix the component names of all parts that have been imported with this import. If it is only required for the master part of the assembly tick this box. if you want a separation between the prefix and the component name type this in the box to the right

Please See here for instructions on how to use the imports

Created with the Personal Edition of HelpNDoc: Free Web Help generator


DXF \ DWG Import

Steel Projects PLM - Modules ›› Project Manager Data ›› Import ››

Automatic procedure

Each file describes one piece of steel construction (beam, angle, channel, plate ...) each side should be defined in one different layer (i.e. layer WEB, TOP, BOTTOM, and BACK). Each layer contains the complete definition of the side: outlines, holes, inlines ... All the sides should be aligned in X direction and drawn horizontally.

To pass the information of the pieces, an AUTOCAD bloc should be inserted. This bloc has the following attributes:

HEAD block

Attribute | Description
COM_NAM | Contract name
DWG_NAM | Drawing name
ASS_NAM | Assembly name or mark
PCE_NAM | Position
PCE_PRF | Profile
PCE_QTY | Quantity
PCE_LEN | Length
PCE_WDH | Width
PCE_THK | Thickness for plates
PCE_MAT | Material
PCE_TRT | Treatment
PCE_DES | Description
PCE_CMT1 | Remark
PCE_ECH | Scale factor (i.e. for 1/20 scale = 20, for 2 :1 scale = 0.5)
PCE_UNI | Unit ( 0: Millimetres / 1: Inch)

If this bloc is not defined in the drawing, the information will be asked when the file is imported.

Defining block with AUTOCAD

  • Start a new drawing
  • Command DDATTDEF : define all attributes you need
  • Save this drawing as name HEAD.DWG

Inserting block in the drawing

  • Command INSERT
  • Enter HEAD=HEAD.DWG (<bloc name>=<file definition>)
  • Fill the attributes in when asked

To get a dialog box for the attributes use command ATTDIA and enter 1

Modifying attributes

  • Command DDATTE
  • Select the bloc you want to edit

Configuration

Options

  • Scale (1/x) : Scale of the AutoCAD Drawing.
  • Precision : Precision of the line on the Drawing.
  • Ellipse : Precision of the ellipse on the Drawing.
  • Maximum Drilling Diameter : After this Diameters the drill is defined by InLine contour
  • Gusset Prefix : The name of the Plate Profile defined in Data Base
  • Outline Regeneration : Regeneration of the Outline after Import
  • Layer : Correspondence of Layer in Drawing / Flange of Profile

Head Block

  • Head Information : Not Used
  • Prefix : Not Used
  • Suffix : Not Used
  • Block : The Name of HEAD Bloc on AutoCAD File
  • Thickness, Grade … : The Name of information in HEAD Block.

Note**: By default, the correspondence for drawing Unit is PCE_UNI.

If you use PCE_UNIT on your drawing Head Block (Old DXF Import) you can change this parameter or change your HEAD Block on your Draw.

Drilling

If you prefer you can use Block definition instead of drawing Circle in Scale on you Drawing.

It can be useful also for Pop Marking definition.

To do that:

  • Create a symbol and name this symbol by Block Name ( For Example create a crew for Pop marking and name this Draw POP)
  • Insert this Bloc (POP) where do you want on your Profile Drawing.
  • Modify Drilling Option ( Bloc = POP , Diameter = 0)

You can also define the tool in DXF instead of using Drilling or punching machine definition.

To do that:

  • In the Drilling Window input the tooling correspondence ( You can change the colours if you want, each colour is a number (1 to 6) )

At DXF file creation:

  • Change the tool colour to your circle hole definition.

    • Yellow circle = PUNCH

    • Red circle = DRILL

    • Green circle = TAPPING ( Diameter = Hole diameter + Tapping )

    • Blue circle = COUNTERSINK ( Create Drilled or punched hole and the countersink diameter a the same centre definition )

Manual

  • Selection : Colour of the selected lines
  • Automatic Process : Automatically begin to analyse the drawing
  • Automatic Unselect : Automatically unselect the lines after analyse
  • Zoom all : Automatically Zoom the entire Drawing
  • Log : Create a file with all import information

Import

Head Bloc check

If this bloc is not defined in the drawing, the empty or wrong information will be asked when the file is imported the following window appear :

If you press OK all information is checked and the cursor will show which parameter is wrong, if any.

If the cursor is highlighted in Profile parameter that means the Profile doesn’t exist in Database. You can access directly in Profile Database to modify or create a new Profile.

Layers check

If the Layers are not created or created with a wrong name the following window appear :

This window show you with parameters are found. If the parameter (Web / Top Flange … ) is empty that mean the software can’t find any correspondence from Layer found and Layer in your drawing.

You can select the name of the correct Layer in the list.

The list of Layer’s is all the layers found in the drawing.

Be careful, if you change the layer correspondence, It will be changed in the Import configuration and your modification is active for the other drawings.

You can select empty line if you don’t want to import this layer

Dimension check

If the dimensions doest correspond with the Profiles or the software have found no contour on the layers, the following window appear :

Colour meaning:

  • Red Nothing found for this side
  • Yellow Closed contour found but the width of the side is different than the expected one

Draw Width = Dimension in the Draw

Profile Width = Dimension expected (On the Profile Data Base)

  • Green Closed contour found matching the width of the side.

Manual procedure

By selecting the file and clicking ‘Manual’, you enter in the drawing with the following menu :

Detailing Piece

When you choose the selection mode you have to enter the information of the piece and the profile.

If the piece is drawn with one different layer by side with all information inside each layer (outlines, in lines, holes ...), you can select the complete piece with all different side at the same time and then click ‘Analyse’.

If the layers are not well defined, select one side at a time and click on the corresponding button. The whole selection will refer to the specified side without regarding the layers.

Colour meaning on the button: (the scale and the profile is very important

  • red Nothing found for this side
  • yellow Closed contour found but the width of the side is different than the expected one
  • green Closed contour found matching the width of the side.

Selection/Unselection

After selecting the mode you can choose the entities in 3 ways:

  • Double clicking on the entity will only select/unselect this entity.
  • Defining a window from left to right will select/unselect all the entities that are completely inside this window.
  • Defining a window from right to left will select/unselect all the entities inside and also crossing the window.

When you are in deselecting mode, clicking again the button will unselect all the entities.

Preview

This will show you the shop drawing of the current piece.

Validation

When the piece is detailed, click OK to confirm. Then you can begin another piece. When you quit the drawing, you will see on the files list a hand at the left of all detailed files. Clicking OK will only import in WinSTEEL the pieces of the corresponding files.

Options

In the options, you can specify the layer linked for each side (if you want to work in this way). You can also give the name of the blocks that you want to be recognized as holes and for these blocks you give the corresponding diameter (i.e block M12 is diameter 14) or -1 if the scale of the block is equal to the diameter.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Tekla XML Import

Steel Projects PLM - Modules ›› Project Manager Data ›› Import ››

Installation

To use this macro, it first needs to be installed inside the Tekla environment. A file Sp.Setup.Tekla.exe is available to download from http://www.steel-projects.net/download/public/Tekla/Sp.Setup.Tekla.exe

The automatic installation will copy the file Steel-Projects_XMLexport on the macros folder of Tekla.

If you press

The Scribing interface will then appear, if it does not or an error message appears then please check previous steps then contact either Tekla, or Steel Projects support.

The two radio buttons (“With full model” and “With the selection”) allow the user to generate scribing either for the full model or for specific elements selected directly in the model.

To create scribing for all parts activate the tick box “Scribing secondary parts”; if scribing is required for the main part only do not select this option.

Tekla Options

Parameters

  • XML File Path: Path where the exported files for scribing are created. By default they are created in the following folder: C:\TeklaStructuresModels\

  • Global Precision (mm): precision for test for comparison regarding a drawing

  • Minimal Distance Between 2 parts (mm) : precision for test for comparison of parts

  • Import materials not known by tekla: import even if profile do not exist in Tekla

  • Import Bolt: Import of bolt in xml file

  • Import all parts identifiers: import identifiers for every parts

  • No welding check: the macro will generate scribing data even if two parts are not welded together if this option is checked. This option is useful if parts have been added with the option “Add to assembly”.

  • Import Welds: the macro will generate scribing data even if two parts are not welded together if this option is checked. This option is useful if parts have been added with the option “Add to assembly”.

  • Drawing (Phases/Lots): import by phases or by lots

Profile import

Importation only of parts whom profile are ticked.

Filter

  • Only part with length taller than (mm): import only parts with a length bigger than the value

  • Filters on parts name: do not import only parts with name beginning by the entered value.

  • Description different of: do not import part with a description beginning by the entered value

Select the Start button and the scribing process will start to run

An xml file will then be created by the Scribing macro; this file can then be imported into SPPLM for processing

The next steps explain how to open this file into the Steel Projects Software

For any models created in earlier versions of Tekla Structures it is possible to open the Model in TeklaStructures V15.0 process and then exit the model without saving. If it is important that the model remains in the previous version then it is suggested that the file is opened in Tekla Structures V15.0 Viewer mode. Then it will not be possible to save the model by error into V15 format. Another option is to make a copy of the model and process the copy version; this will protect the original from any accidental saves.

In Steel-Projects PLM

Import Use

Import Setup

Enter the setup as indicated above. Use the Browse button to locate the designated folder. Remember to add *.xml at the end of the path.

Then press on the options button and move to the next section.

Select Options tab on the above screen

Parameter | Values
Outline regeneration | If a coping robot is connected to the system, then this has to be checked.
Cutting Tolerance (MM) |
For Round | Rounds up the cut to the nearest interger value
Minimum Diameter for Flame Cutting | Any diameter greater than this value will be transformed to an inline.
Contour interieur à Circle |
Gussets | Default prefix for plates. (usually PL or PLT)
Square Tubes | Default prefix for SHS. (usually SHS)
Rectangular Tubes | Default prefix for RHS. (usually RHS)
Round Tubes | Default prefix for CHS. (usually CHS)
Fabtrol | Thick to import an xml file from Fabtrol

Parameter | Values
Marking | Scribe the component’s name aside the scribing Not any : No Right : Scribes on the right of the scribing Left: Scribes on the left of the scribing
Detrompeur | Adds scribing to make sure there is only one orientation for a part
Rotation / scribing back web | Do a X symetry in case there are more scribing on back web than on web fir the I beam. Do not activate this option for customer using “erection mark”.
Out |
Coping | No modification or Transformation in this macro
Radius | Diameter for hole

Parameter

Values

All

Scribe all faces in full

Profile

Select profile and then select faces to be scribed for that profile :

: scribes all the line

  • : scribes the line from each corner, on a distance “Length”
  • : doesn’t scribe the selected side

Special

For Wards (Kingspan) purlin cleat, will draw a line on flange of the rafter representing the front face of the cleat equal to the dimension inserted – use hole centres to enable shop location

Length

Length equals the actual length of the line that will be scribed if the “web” is selected - in the cut down version of the scribing

Parameter | Values
Transform | Tick to transform a T in IPE; If a profile with same dimensions (web and flanges thickness and flanges width) is found, the name of profile before transformation is written in field comment 1. If quantity >2 and height of T is twice inferior to height of new profile, quantity is divided by 2.
Macro | Input the value of the macro
Chamfer | To import chamfer created in tekla
Milling | To recognize pocketting plates (only for gemini machines)
Split welded beams to flat | To split welded beams to flat beams

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


DSTV Import

Steel Projects PLM - Modules ›› Project Manager Data ›› Import ››

DSTV is a world defined format for the steel construction. So many different software are able to export using this format, which have an .NC extension file.

You can find here below a real example:

This type of files can be opened with the notepad windows tool and it is possible to find project name, part name, etc… as well as the part definition on their data.

Steel-Projects PLM is importing this type of files in order to integrate the customer’s structural projects on its interface which is specially designed for project and production management.

Co Configuring import files *.NC

To configure your import it is necessary to access SP.PLM’s Project Manager Data, then import and then type the name:

After this step you will be on the import configuration screen as following, you need to fill the next:

Name: you can choose the name you want

Type: DTSV files

Directory: the path we you can files your *.NC projects + \*.NC* extension

To configure options and parameters you need and Steel-Projects technician.

Configuring assembly list *.XSR

The assembly list can has many different extension types as it is a simple text document. One of the most popular is the .XSR extension, it is generated by Tekla software and some different default possibilities are included by default on the software.

The SP.PLM need is to have the necessary information to make a correct distribution of the project and follow designers divisions

Here following an example of assembly list:

The assembly-list.XSR and the parts.NCshould be on the same folder in order to permit SP.PLM to find the files it found on the assembly list.

SP.PLM will find Project name, drawing name (phase is usually used as), assembly and part name. When read the information, SP.PLM will find the correct file.NC, compare Project and part name so if it is correct the part will be imported.

If the file.NC is not found we get an error, if the file information doesn’t feet we also get an error. This will be explained after on “Main issues”, click on it to access.

The way to configure the import on SP.PLM is equal as *.NC files, difference that we look for and *.XSR file so we may change the extension as following:

When name, type and directory completed (with *.XSR extension) you should click on the options button and select one of the default report names (XSTEEL for example) and accept. Then save you changes and quit back to the main menu.

This doesn't means that you are ready to import assembly list as you also need the Steel-projects technician to configure well the assembly list reading options.

As *.NC files, you also need a Steel-Projects technician to configure Options and Parameters before starting to well-using the import.

Import DSTV into SP.PLM:

Part files (*.NC)

Some steps are necessary to import files into SP.PLM:

  • Go to the main menu and select “Project manager” (you can also use the import icon if you don’t want to enter Project Manager).
  • Select the import you want to use.
  • When selected, look for the path where are your files by clicking the “browse” button.

The import window is common for all our import.

All the items (found items) will be on the right side. If you don’t want to import them, put on the left side. If you just want to import some, leave them on the right side and move the other to the left.

Items can be moved by double clicking them or by selecting them and move with the central arrows.

  • Once the correct items on the right side, press ok to import them.
  • After this, just validate the new windows and you can access your project.

Assembly list (*.XSR)

As below, when using assembly list import you will find a few differences on the process:

  • Go to the main menu and select “Project manager” (you can also use the import icon if you don’t want to enter Project Manager).
  • Select the import you want to use.
  • When selected, look for the path where are your files by clicking the “browse” button.
  • Once the correct items on the right side, press ok to import them (import only 1 assembly list)
  • Check your project on the “project validation window” that appears
  • After this, just validate the new windows and you can access your project.

After this step, the new project validation window will appear:

This is the assembly list.

In blue color all the correct information (it means that SP.PLM found the *.NC file and it feets)

In red color all the information that doesn’t feet. NC file should be missing or information between NC file and assembly list doesn’t fit.

DSTV Import Options

Delete Pop Marking - Delete all pop marks / pointing from the file if it is not required

Delete Marking - Delete all marking from the file if you want the position to be controlled by PLM \ WinCN, or specify the default tool for imported marking

Outline Regeneration - This needs to be switched on for SP PLM to convert the outline to coping macros

Verify Operations For Tubes - Turn this on for RDHS and SHS profiles to be rotated for best best rotation for machining

JARRETT -

Backup -

Angles - Rotates angle profiles so that the bevel is in the web and not the leg

Cutting Tolerance - Round up web or flange cuts by an angle or distance

Prefix - Rename profile names into a standard format instead of using the names in the dstv file

Report

Import a report as well as the dstv files to import full assembly information

Head Block - Set the head block to import the correct information from the the files

Its main use is to set a different import for Strucad and Tekloa import.

Strucad uses a none standard head block structure, so you need to change this in the import for the information to be imported correctly

Tekla Structures 1,2,3,4

Strucad 1,4,3,2

Drawing \ Assembly As Prefix - rename the componant names with a prefix of either the Project Drawing or Assembly, depending on your naming conventions.

Drilling

Minimum Diameter for flame cutting - Any hole greater than this setting will be converted to be a flame cut instead of a drill

Slot - When this is not ticked, slots are imported as a tooling. With it ticked, they are imported as an outline \ flame cut

Macros Fenice - Imports coping macros

Lead Cut - Imports and shows none standard coping as blue lines.

Category

Option

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Export

Steel Projects PLM - Modules ›› Project Manager Data ››

You can set up exports for all of your CNC machines from this screen. You need to have a separate export for each machine.

To add a new export, type the name into the search box (usually the name of the machine) and then press NEW or Ctrl+N

Then add the type of export and the directory you want to export the files to.

The type of export depends on the machine you are sending to. If you are exporting to a machine with a WinCN post processor installed on it, then you want to choose CAM files. This will send a Steel Projects CAM file to the machine to be imported into this software.

For none WinCN machines you would normally choose either DSTV or DXF\DWG (Site licences required) depending on the import choices and post processing capabilities on the machine

Type of export

  • Cam Export
  • File Created - Choose the options for the name of the CAM file generated by SP PLM.
  • Drawing as Prefix - Prefix the drawing name before the file name

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Typology

Steel Projects PLM - Modules ›› Project Manager Data ››

It is possible to create different types of projects and assign them a different typology

To add a new typology to the database, type the name into the search box and then press NEW or Ctrl+N

You can give the typology a description and then set controls on whether it is allowed to have drilling or punching for this type of building.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Profile / Material Grade

Steel Projects PLM - Modules ›› Project Manager Data ››

This option allows you to restrict certain material grades for particular profile. The default is for all grades to be availiable, you only need to change this setting if there are profiles you want to specify the allowed grades.

To set a material grade restriction for a profile, click on the grade on the list on the left side

Then click on the allowed material grades on the second list, and press [image] to add them to the right side window. This will mean this profile will only havbe the option to be one of the listed grades

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Execution Classes

Steel Projects PLM - Modules ›› Project Manager Data ››

In order to activate the execution classes management, you first have to go to the configuration menu of the company and enable the following option :

You can define the default execution class to be applied for each new contract. Here, we select EXC2.

When you go into the Execution Classes menu, the list of all 4 classes is displayed.

This list is not modifiable. It corresponds to the EN1090 norm.

However, you can rename the classes.

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Auto Mark

Steel Projects PLM - Modules ›› Project Manager Data ››

When set-up, this feature allows you to add a specific marking to a group of parts.

It's possible to manage the automatic for all the parts, without any distinction, or set-up a different marking pattern and process for each type of part (Master, Finished, Other).

Do do so, you have to activate the "Part Type Configuration" check box :

The manufacturing process is made to force a marking process, if the machine is able to do it.

The content of the marking is set-up as follows

Select an item among the available ones on the left hand side section, and move it to the right hand side.

You can change the order of each selected item by selecting it and using the [image] and [image] buttons.

If you insert the "Free text" item, it will be replaced in the marking pattern by the text you enter in the free text field.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Milling

Steel Projects PLM - Modules ›› Project Manager Data ››

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily


Employees

Steel Projects PLM - Modules ›› Project Manager Data ››

If you use the Production Feedback Module, you can use this option to set up your employees and link them to their SPPLM user name.

To add a employee to the database, type their user ID into the search box and then press NEW or Ctrl+N

GENERAL

Fill in the employees details including start date and end dates if necessary.

Double click in the user field to associate this employee with a user

COMPANY

For Multi company databases, select the company this employee is associated with by selecting it from the list of the left side and pressing [image] to add it to the right

You can assign an employee to each machine he's working on.

In this case, in the production feedback module, only these machines will be displayed when this employee will log on.

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Employee Management

Steel Projects PLM - Modules ›› Project Manager Data ››

This is an overview of all the employees and workstations for each company.

When [image] is selected, it displays the list of the employees assigned by workstation.

If [image] is selected, the list of the workstations assigned by employee is displayed.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Welders Management

Steel Projects PLM - Modules ›› Project Manager Data ››

You can manage here the welding qualifications

To add a new qualification and assign it to an employee, select him on le left panel and right click, new on the right one.

In the new window, insert the test number and press NEW

In the Approval form, the general tab contains the main information about the approval test itself

The fields like this one [image] allow a multiple selection, except for Shielding gas, Plate or Tube, and Joint Type).

Hold Ctrl while selecting the items

The test tab gives additional informations about how the approval test has been done (name of the inspector, Address of the inspection centre, ...)

The renewals tab contains the list of the dates the certificate has been renewed and its validity date.

In the name field is the name of the inspector who renewed it.

An employee who has qualifications for welding appears with this icon

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Nesting Data

Steel Projects PLM - Modules ››

LengthsScrap LengthsStandard DimensionsMaterial CodeMat. code / thicknessPlate Scrap DimensionsOffcuts ManagerStock ImportStock ExportWarehouse

The Nesting Data menu contains all the settings related to both section and plate nestings.

Click on a button to go to the related chapter.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Deliverable Lengths

Steel Projects PLM - Modules ›› Nesting Data ››

These are the stock lengths that are allowed for purchased stock (when not importing your own stock bars, useful for estimation purposes)

You are required to set some lengths up in order to use the Section nesting module

Add Profiles - Add the required profiles you will need to nest from the drop down menu and press the left [image] for each

Add Lengths - Add all of the possible lengths by typing in the size and pressing the right

Assignment - Once you have all your profiles and possible lengths set up, double click on the white circles to turn them black, to indicate that you can purchase that length for that profile

Ranges - if you can only purchase certain ranges of profiles for a particular length, use can use the range option

To start with, click on one of the black circles you would like to assign a range to

then on the range window on the right, fill in the parameters tof the profile that the part must be within to go into to that range. For example here I have set that the maximum web size is 100mm and thickness 20. Anything outside of these parameters will not be nested into.

Once you have set these, click on the black circle and you will see it changes from a fully black to a partial black circle, indicating there is a range.

To set up a number of different ranges within the same profile\length,press [image] When you have set up multiple ranges the circle will show like this

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Scrap

Steel Projects PLM - Modules ›› Nesting Data ››

Here you can set up the maximum scrap sizes for all types or ranges of profiles.

Any offcuts of less than this value will be identified by the system as scrap (and spray painted \ unloaded this way if you have an automatic system). Anything above this will be seen as a recoverable remnant.

Press [image] to add a new profile to the list, or press [image] to add all profiles

If you want the same scrap value for all sizes of a profile, you don't need to set any minimum or maximum profile size values. Just set a value for the maximum scrap as above

To set different ranges of the same profile, add the profile in a number of times with septate profile sizes.

Web - Web size

Flange - Flange size

E_Web - Web Thickness

E_Flange - Flange thickness

For example the following settings would set two ranges for beams. Any beam with a web size of below 100, wlil have a max scrap value of 2500. Any size above will be 2000

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Deliverable Dimensions

Steel Projects PLM - Modules ›› Nesting Data ››

Deliverable dimensions are the dimensions of the plates which can be used in the plate nesting module without having to input them for each nesting.

Type the Widths and Lengths in the corresponding fields and press [image] to add them in the table.

Once all the dimensions have been entered, you have to double click on the pairs [Length;Width] you wallow for using :

You can define a range of availability depending on the thickness of the plate.

Click once on a black point, 6000x1500 for instance, and on the right hand side, unselect the "All" box

It turns the thickness field available

Enter all the thicknesses allowed for these dimensions

You can now see in the grid the symbol saying there are ranges defined for these dimensions.

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Material Code

Steel Projects PLM - Modules ›› Nesting Data ››

The technological parameters of a nesting depend on the material grade. In most of the cases, these technological parameters are the same for all the grades. Thus, the material code allows grouping material grades together. One material grade can be linked to one or more material codes.

Most of the time, this code will be STEEL. However, for some particular machines, this code can be different in order to provide informations about the amperage, for example.

One or more material types can be selected, my moving them from the left hand side panel to the right hand side one.

Same for the Material Grades :

If a material grade is not assigned to any material code, you will get an error message in the nesting module and you won't be able to nest the parts without material code.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Material Code / Thickness

Steel Projects PLM - Modules ›› Nesting Data ››

Each Material Code has to be linked to one or several thicknesses.

The list of thicknesses is imported from the ones attached to the plate nesting machines.

By default, all the thicknesses are added in the Thickness / Material Code grid.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Plate Scrap

Steel Projects PLM - Modules ›› Nesting Data ››

Define here the minimum dimensions for the offcuts to be considered as reusable.

Note that the thickness is not mandatory.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Offcuts Manager

Steel Projects PLM - Modules ›› Nesting Data ››

The offcuts manager keeps track of all the plate nesting's offcuts.

If the scrap button [image] is activated, the offcuts which are not big enough to be considered as reusable are also shown. These dimensions are set up in the Plate Scrap window.

In the main screen, you have an overview of all the offcuts. These offcuts are generated automatically when the workshop document is printed in the nesting module.

Note the casting number of the mother plate has followed the offcut.

In this example, the offcut has been generated by the following nesting :

The offcut is generated only once the workshop document has been created.

Editing an offcut

If you right click on a line, you can have access to the drafter in order to edit the offcut. In our example, it's useful to rotate the plate, so the bottom left corner is at the (0,0) point.

We need to rotate the offcut so the top right corner (green point) is moved to the origin of the draft :

Select the Accurate Nesting tool [image] , click on the entity, then on the top right corner.

Now the plate is attached to the tool, you can rotate and flip it until having the result you want :

Save and close

Now, in the offcut manager, you can see the modified figure :

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Import Stock

Steel Projects PLM - Modules ›› Nesting Data ››

From here you can set-up imports for importing stock bars into the section nesting module from third party software.

These imports are available in the section nesting module using the following icon.

To add a new material grade to the database, type the name into the search box and then press NEW or Ctrl+N

Choose the name of the import, type, and default directory

The two main types are excel, and SP Stock

Import Excel Stock

This import is to import available stock from either an xls or csv Excel file. You can create a file with different rows for the bars you have, and different colums with a variety of different information.

LINE - Specify the line of the file the information starts on. If you have a single heading line, then you would put line 1 in here (the import ignores line 0)

FORMAT - Choose between CSV or XLS formats

GENERAL - Specify the columns of the file and where the information should be imported into.

The number represents the alpha numerical position - A=0, B=2, C=3 etc

Some of the columns are required to be able to create the part - Profile, Length, Quantity, Material Grade.

If a column is set to -1 it is ignored.

BAR - Set up a column to import the type of bar. Different types of bar can be given different nesting priorities, for example remnants can be given a higher priority than stock bars

BACKUP - Set a directory for the file to be backup up to after importing

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Export Stock

Steel Projects PLM - Modules ›› Nesting Data ››

Export Your nesting results to third party software

Please contact SteelProjects support to proceed.

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Warehouse

Steel Projects PLM - Modules ›› Nesting Data ››

Definition of the warehouses and storage locations in each one.

Not in use yet...

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Fabrication Job Data

Steel Projects PLM - Modules ››

ImportExportSimulation

The Fabrication Job Data menu is an advanced configuration tab concerned with the Production Manager module

Click on an item to display the related chapter.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Import Fabrication Job

Steel Projects PLM - Modules ›› Fabrication Job Data ››

From here you can set-up imports for importing fabrication job selections into the fabrication job screen from third party software.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Export Fabrication Job

Steel Projects PLM - Modules ›› Fabrication Job Data ››

From here you can set-up exports for exporting fabrication jobs to third party software.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Dispatch To Simulation

Steel Projects PLM - Modules ›› Fabrication Job Data ››

It is possible for bars to be sent to Production Simulation software for optimal routing to be planned

Please contact us for more information

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Feedback Data

Steel Projects PLM - Modules ››

ExportProduction ImportDashboardWidgets

The Feedback Data menu is an advanced configuration tab concerned with the Production Manager module.

PLM can be used as a Production monitoring tool with automatic time feedback from CNC machines, and semi automatic feedback from manual workstations.

Click on an item to display the related chapter

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Import

Steel Projects PLM - Modules ›› Feedback Data ››

From here you can setup specific imports for production feedback data from none Ficep machines. You do not need to set this up for Ficep machines, as they are set up a different way.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Export

Steel Projects PLM - Modules ›› Feedback Data ››

From here you can set up interface specific exports to send the results of your feedback to third party software.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Production Import

Steel Projects PLM - Modules ›› Feedback Data ››

There are no imports available for this menu yet

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Dashboard

Steel Projects PLM - Modules ›› Feedback Data ››

You can create a dashboard layouts of custom graphics representing the information from your Production Feedback.

Before create dashboards, you need to have created some Widgets

To add a new Dashboard, type the name into the search box and then press NEW or Ctrl+N

GENERAL

Name the dashboard and give it a description

WIDGET

Specify the different Widgets you would like to show in this dashboard view.

Click on the widget on the left menu and press [image] to add it to the list on the right.

You can add the same widget multiple times which is useful to show the same widget multiple times but with different filters settings

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Widgets

Steel Projects PLM - Modules ›› Feedback Data ››

You can create custom views of your Production Feedback Data using Widgets. You create the different graphical types and filters here, and then use your Dashboard to view them

To add a new Widget, type the name into the search box and then press NEW or Ctrl+N

GENERAL

Give your Widget a name, and choose the type of graph that will be used to represent the information

VALUE

Set what information will be shown in the graph.

Select the required field in the list on the left, and press [image] to add it to the selected list on the right side

FILTERS

Enable different filters to only show the information for particular machines, projects, types or date ranges

GROUPING

Set different groups of filters

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Feedback Type

Steel Projects PLM - Modules ›› Feedback Data ››

SP PLM uses different Feedback Types to represent different stages of the production process, from being sent to Production through to Shipping. You will see these colours in the piece feedback status in the Production Management module and also Fabrication Job list.

You can assign different feedback types

Each stage of production can be given a name and a colour in order for you to customise it according to your process

A default list is used with standard colours

To change a type name - Click on the line and then modify the name above, and save.

To Change a type colour - Click on the line, and press the colour drop down menu, select the desired colour and save.

To add a sub level production type, type the name you want, choose a colour from the drop down, and press

You can then use the arrow keys to move the new type to the correct level

This adds an extra level in your production process if you require it. One reason would be to have multiple levels of fabrication, such as assembly and welding

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Shipping Data

Steel Projects PLM - Modules ››

TypesClasses

Set the options for the Shipping Module

Click on an item to display the related chapter

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Package Types

Steel Projects PLM - Modules ›› Shipping Data ››

Here are described the package types used for shipping.

Name is the name of the package type. Pallet, for instance.

The gross dimensions are the outside maximum dimensions

The net dimensions are the inner maximum dimensions, the actual capacity of the package type.

In compatible modes, you must tell which transport modes can be used for this type of package.

This is used to allow or not a certain type on a class of vehicle .

Here are some examples :

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Vehicle Classes

Steel Projects PLM - Modules ›› Shipping Data ››

The classes of vehicles are defined here.

The mode is to be selected in the drop down menu. This mode is the same as the one defined in the package types .

A certain package type can be used on a vehicle only if both modes are identical.

Here is an example

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Vehicles

Steel Projects PLM - Modules ›› Shipping Data ››

Here are listed all the vehicles used for shipping :

Each vehicle must have a class assigned to.

Here is an example

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Configuration

Steel Projects PLM - Modules ››

Shop DrawingListsReport ManagementShared ConfigurationLocal SettingsCompanyUsers GroupsUsers

You can access numerous menus for configuring SP PLM from the configuration menu

Click on an item to display the related chapter

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Shop Drawing

Steel Projects PLM - Modules ›› Configuration ››

The shop drawing configuration is used to set up the format for the component shop drawings

Options

The shop drawing options allow the user to set-up the necessary formats, representation and parameters for the dimensioning text and lines, and the printers to be used.

Field

Designation

Holes

Dimensioning

Selection of the type of dimensions for holes in the horizontal axis (X axis) and gauges (Y axis) for each side of the piece

Not Any No Dimensioning

Absolute Absolute dimension according to the reference point of the concerned side

Relative The dimension of drilling is given in the relation to the previous one. The dimension of the first hole is relative to the reference point of the piece side

Both Absolute and Relative dimensions

X Direction

This option allows to move the X axis zero point

Increasing The zero point will be on the left

The positive direction will go from left to right

Decreasing The zero point will be on the right

The positive direction will go from right to left

Slots

This option allows to place the slot holes relatively to the length

Center The length will be calculated between the centers of the two half-circles

Extremity The length will be calculated between the extremities of the two half-circles

Outline Dimensioning | Not Any No Dimensioning Absolute Absolute dimension according to the reference point of the concerned side. Relative The dimension of drilling is given in the relation to the previous one. The dimension of the first corner is relative to the reference point of the piece side. Both Absolute and Relative options
Reduction of Pieces | This option allows omitting some unnecessary zones to make the graphic view clearer. No No cut will be authorised. Yes Selected cuts will be carried out.
Line Thickness | Parameter which defines the line thickness.

Scale and Precision | Use scaling Authorisation to extend the piece in the X axis direction to avoid character superimposition. No In case of difference, outline lines will be continuous. Yes In case of difference, outline lines will be interrupted. Decimal Dimensions The dimension will be represented with the number of the chosen decimals. Decimal Angles The angles will be represented with the number of the chosen decimals.
Presentation | Worked Only the worked sides will be edited. All All sides of the piece will be printed.
Recall Line | Selection of the type of dimensioning line None No type of dimensioning line Line A 45 degrees dash as an end of the dimension Arrow A 30 degrees arrow as an end of the dimension line.
Angle Dimensioning | This option allows the activation or deactivation of angle dimensioning.

Format

The following screen gives the possibility to assemble all available prototypes for shop drawings. Each one will be assigned to a printer and its characteristics, a format of paper, an orientation, etc.

Format | Dimensions of Paper
Profiles | Authorisation to print log profiles (Beams, Angles, etc.)
Gussets | Authorisation to print profiles and gussets. Possibility to print with 1 scale and page setting.
Printer | Name of the printer configured in the system under Windows 95 or Windows NT or later.
Preview | Allows to view the shop drawing on the screen before printing
Prototype | Name of file which contains information of drawing sheet. This file is in the format DWG or DXF.

The Printer button accesses the configured printer in the system and allows modification of the characteristics, as on Fig 4-12 following:

Representation

Selecting the type of representation for each profile.

Field | Designation
European | Top flange of the profiles drawn below the web
American | Top flange of the profiles drawn above the web
Origin | The reference origin of the piece which can be chosen on the table given in index

Comment

This section allows the user to personalise the shop drawing by inserting some comments.

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Lists

Steel Projects PLM - Modules ›› Configuration ››

The program comes with a set of inbuilt reports but it is possible to add new ones or update existing ones using the Report Manager

To add a new report, type the name into the search box and then press NEW or Ctrl+N

Reports - The name of the report

Supersedes - if it is to replace an existing report, specify it here

Module - the module name the report is to show in. Choose from the dropdown list

Category & Comment - Manual text box for you to make notes in

File - choose the file name of the new report. By default, all new reports are to go in the folder base\rpt_cust

Filter - You need to specify a filter for the report. A different filter will be shown on the right side depending on the module it is to be shown in.

The standard process is to select this and press [image] to add it in as the standard filter for this report

it is possible to set up different filters depending on the report. your support engineer will advise if this is the case.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Reports Management

Steel Projects PLM - Modules ›› Configuration ››

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Configuration

Steel Projects PLM - Modules ›› Configuration ››

From this menu you can set the main shared program configuration of Steel Projects PLM.

The configuration is split into two main sections:

General Configuration

Company Specific Configuration

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


General Configuration

Steel Projects PLM - Modules ›› Configuration ›› Configuration ››

General

Contracts - Activate the Contract Hierarchy in the Project Manager. The default structure is to have a 4 tier hierarchy - Project - Drawing (Load \ Phase) - Assembly - Componant. Activating this option gives you 5 tiers - Contract - Project - Drawing - Assembly - Component. This is useful if you work with multi project contracts

Database path - The path to the main shared Data folder. This needs to be accessible with the actual path to all clients. If it is on a shared server it is recommended to create a folder share, and use the share path instead of the local path

Exact Weights for Gussets - Use the actual weight for plates (material left after tooling), or the theoretical weight of the total area needed before tooling.

Surface - Calculate the actual painted area or the real surface area

Unit - Metric or Imperial units

Precision - Used for imperial weight rounding calculation

Backup Directory - The folder the system will use to create backups. it is recommended this is on a different server to the database. If it is on a shared server it is recommended to create a folder share, and use the share path instead of the local path

Document Management - Activate the Document Manager

Standard Flats:

Extra options the system uses for Standard flats. For further options see here

Rectangular Shape - The fitting needs to be a rectangle to be recognised as a flat.

Any Width - Parts of any width, not just standard widths are recognised as flats.

Any Rotation - Allow the program to rotate parts to fit your standard flat sizes if possible

Tolerance - Set a tolerance for the software to round up or down the width to a standard flat size

Maximum NOTCH angle - If you have a machine that can cut notches out of flat bar, set the maximum angle it can cut here

Project Manager:

Configuration for the Project Manager Module

Auto Next Tab - When you create a Project, it will automatically tab to the next level of the hierarchy.

Clear Selection on Action - When you press action, if you have any parts selected they will be cleared

Job - Decide if the drawing, assembly or component should be used for jobs

Automatic Master Part - Set how the software should calculate what the master part of an assembly is.

Check automatic master part - With this activated, a check box will open for you to validate the master part in an assembly.

Manual Group - Manually determine what profile group parts are allocated to

Tooling Filter - Activate the option to be able to filter by tooling

Draw:

Macros Fenice - Automatically recognise Stand Ficep macro codes on part importt. Required if you have a coping robot

G1F33 - Activate the G1F33 macro recognition

Leadcut - Lead cuts are used for internal cuts where there is no standard macro available. Use this option to convert these cuts to scribing lines or cuts

Coping - Set the coping drawing option and its radius

Back web- Activate the back web in the drawing module. Useful to be able to see back web scribing

Gauge line - Set the gauge line distance for the drawing module

Import:

Exact Material Grade, Profile, Treatment, Painting: Normally, when you import parts from CAM files that have new profiles or material grades, the software will automatically add these to the relevant databases. With this option switched on, when you import parts that are not in your database, an extra option will ask you if you want to add it, or associate it with an existing grader or profile

Profile Prefixes - You can specify prefixes so the parts are renamed to standardised profile names. With this switched off, then profile name in the CAM file is used.

Workshop Feedback:

Set the time interval the software should take to read the automatic feedback from the machines

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Company Configuration

Steel Projects PLM - Modules ›› Configuration ›› Configuration ››

Project Manager:

Default Treatment - Specify a treatment to assign to all parts as a default. Double Click in the box to search and select

Material Grade By Default - Specify a material grade to assign to all parts as a default. Double Click in the box to search and select

Default Painting - Specify a painting to assign to all parts as a default. Double Click in the box to search and select

Status Management - Activate the Status management. option This lets you manually assign the current status of a project

Jobs Management - Activate the option for the Phase Builder

Product Management - Activate Product Management

Sub Assembly Management - Activating the Sub Assembly option gives you the ability to break down beams into corresponding web and flanges plates. You can set the default weld thickness in the sub menu

Drawing Quantity - By default, there can only be single quantity drawings. This is because for structural buildings, each drawing (load) is unique. However, if you are using the program for other sectors you may want to allow drawings to be multiple quantities. A multiple quantity drawing, will have all of the sub assemblies quantities multiplied by this number.

External GUID Management - GUIDs are used to identify assemblies and parts uniquely by assigning a hexadecimal characters consist of eight (0x00000001). This is for advanced BIM integration

Revision Management - Activate the option for Revision Management

Material & Profile Upgrade - Changes to the material or profile grades names are changed for all parts with those grades \ profiles

Part Checking - Activate Part Checking

Warning if drawing is in production - If you try and modify a part that has already been sent to production you will receive a warning

Sites and Departments Management - Activate this option for advanced options workflow configuration for large or multiple factories. See Sites and Departments Management

Workstations multi export - Allows the option for exporting to more than one workstation at a time. See Workstation Export

Fabrication Job

Report For Shop Drawing - Choose the report to use for your shop drawings

Grouping of parts - Determine the deciding factors in the grouping of parts in fabrication jobs

Cutting Sheet - The cutting sheet needs to be a unique number. It starts at 1 and increases by 1 every time you do a nesting. If you ever want to skip to a later cutting sheet number you can change the next sheet number here

Nesting by profile group - Parts with different profile groups can not be nested together

Default Priority - All part are given a default nesting priority of this setting. The higher the priority, the more it is prioritised.

Revision Management - Activate revision management for fabrication jobs

Update nesting status by drawing status - With this option and project manager status management activated, you can set to override the nesting status with the manually assigned status.

MEF checking mode - Decide if you should check all MEF or sent MEF

Toolings Checking - Do a part check at the Send to Production stage to be sure the machines have the correct tools set up in their tool tables to do the allocated parts

Section Nesting

Material Distinction - With this activated, no parts with different material grades will be nested together

Treatment Distinction - With this activated, no parts with different treatments will be nested together

Grouping Treatment, Grouping Painting - Group together bars with the same treatment and or painting

General

Set the maximum scrap value by either length or percentage

Workstation tooling for profile group - Activate Workstation tooling for profile groups

Plate Nesting

Material Distinction - With this activated, no parts with different material grades will be nested together

Treatment Distinction - With this activated, no parts with different treatments will be nested together

Grouping Treatment, Grouping Painting - Group together bars with the same treatment and or painting

Production Progress

Input individual production time - Allow the option to manually override the production time

Input casting numbers - Set whether you need to add a casting number before updating the production progress

Shipping

3D Geometry

Assembly 3D management - Activating this option allows you to view the 3d assembly drawing for projects that have been imported with the Tekla XML interface.

Refresh 3D geometries - Automatically update the 3d view for parts, assemblies and bars

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Local Settings

Steel Projects PLM - Modules ›› Configuration ››

These local settings are independent for each workstation the software is installed on.

GLOBAL OPTIONS

Log - Updae a log file in the PLM base folder. Used by Steel projects to understand technical problems. Set to off unless required as it will generate a large file

Proxy Server - If your company network uses a proxy server for internet access you need to activate this option to be able to update over the internet and use the customer FTP utility. Activate if needed and specify a username and password with access to use HTTP and FTP

Tekla Structures - SP PLM has added integration with tekla Structures with this option activated. Both applications need to be installed on the same computer.

General - Specify your preferred search engine for internet queries

GRAPHIC OPTIONS

GENERAL - Activate the 3D preview on this computer and set the options for the display window in the Project Manager

3D OPTIONS - Set various window display options for the 3D preview

3D MODELLING OPTIONS - Set various part display options for the 3D preview

Real representation - Set whether certain tooling displays as real representation or is represented theoretically

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Company

Steel Projects PLM - Modules ›› Configuration ››

Specify your company details in order for them to be used in reports

If the management of the EN1090 norm is activated for the company (see here ), you can fill in the related informations in the CE Marking tab

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Users

Steel Projects PLM - Modules ›› Configuration ››

SP PLM has a full User Group management allowing you to control which users can have access to certain program functionality.

Different users can have their own logins and given certain rights to software menus and reports.

From this list, you can create and control the users, user names, and passwords, and assign them into a relevant User Group

When you log into the program, each user will need to specify his login and password to access the program

Use the "save configuration" option to remember the login information and not have to refill it every time.

To add a user to the database, type a user name into the search box and then press NEW or Ctrl+N

GENERAL

Specify a password, and the first and last name of the user.

if the user is not active, unselect "active user" this is useful if you dont want to delete the user fully but would like to stop access using that account

If you have a multi company database and the user can have access to multiple companies, select this option. In most cases this is not needed.

USER GROUP

Specify the user group that the user belongs to, by selecting it from the list of the left side and pressing [image] to add it to the right. The user will have all the rights and restrictions of this group.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


User Groups

Steel Projects PLM - Modules ›› Configuration ››

SP PLM has a full User Group management allowing you to control which users can have access to certain program functionality.

Different users can have their own logins and given certain rights to software menus and reports.

The default user group created is administrator. Users belonging to this group have access to all of the software. The default user is always in the administrator group.

You only need to add more user groups if you want to restrict access to any user.

To add a new user group, type the name into the search box and then press NEW or Ctrl+N

GENERAL

Type the name of your Profile Group

RIGHTS

Use this list to select the parts of SP PLM you would like users of this Profile Group to have access to.

Select the menus from the left list, and press [image] to add it to the list on the right.

Then you need to allow the right for creation, modification and deletion with the box further to the right.

You can multi select from either list

LISTS

Control which reports users in this group can have access to

Select the allowed lists on the left menu and press [image] to allow access

Allow access to Production Feedback Dashboards.

Select the allowed dashboards on the left menu and press [image] to allow access

SITE

If you use the Sites and Departments Management option you can allow access to your different sites from this menu. To allow access to a site press [image] to add it to the list on the right

option you can allow access to your different sites from this menu. To allow access to a site press [image] to add it to the list on the right

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Users Manager

Steel Projects PLM - Modules ›› Configuration ››

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Utilities

Steel Projects PLM - Modules ››

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Contract Restore

Steel Projects PLM - Modules ›› Utilities ››

Restore a previously backup PLM Project or WinSteel Contract.

Press the browse button to search for the contract zip file. Select the file and press OK to import it into the program. It will go through the import routine and if there is no problem it will be available in the Project list

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Project Backup

Steel Projects PLM - Modules ›› Utilities ››

Backup one PLM or Multiple PLM Projects, to zip files. These can then be restored back into program at a later point if required.

Press the Browse button to set the folder that you would like to back the projects up to. We recommend this is a folder away from the main server.

Your full Project list will be shown below. For all of the Projects you want to backup, click on the red circle next to the name to turn to green. Or you can multi selct the Projects while holding Ctrl, and use the selection icon [image] above.

To select all the Projects press the [image] icon

When you have made your selection, press OK to start the backup process.

Once finished, you will have a number of zip folders in the selected directory

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Backup

Steel Projects PLM - Modules ›› Utilities ››

Backup the full SP PLM database and base folder.

The program will try and create the backup to the destination folder you have set up in your general configuration options

If you uncheck the Plat Nesting option, the plate nesting related elements (files in the MET folder) won't be included in the backup. Thus reducing quite a lot the size of the backup file.

To make the backup, simply press OK to start the process.

It is important to note that the destination folder needs to be accessible by the client and also the server. It is recommended to use a folder share with the correct user permissions

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Lists

Steel Projects PLM - Modules ›› Utilities ››

Some reports are available to run from the Utilities menu

The default reports lists the profiles you have in your profile database, but you can also load extra reports in using the report manager

To preview the report double click on a report name and it will show on the right side

To filter the inofrmation shown on the report, press [image] and set the required filters by project, profile, or date for example

To print the report to either a printer, excel file or pdf, click on the red circle next to the report name to turn it green. this will activate the corresponding options on the top toolbar

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Translator

Steel Projects PLM - Modules ›› Utilities ››

SP PLM contains a comprehensive translation tool, which can be used to modify the menu, icon, option names, and wording as required

To set or check the default language, click the top ribbon toolbar menu and look at the language option

In the translation menu, the translation the software uses corresponds the the selected language.

Click on the heading of the current language to organise the list alphabetically

To view the hidden toolbar, press

To set the search to use that column, right click on the heading name. you will see that column now has a magnifying glass next to it

Type in the search bar the word or phrase you want to change the translation for.

Press Enter or the search icon to scroll through the possible lines. All possibilities are highlighted in yellow

To modify the word, press the [image] icon to edit the grid. this then allows you to change the word and then save to commit the change

The translation in the software will now reflect your changes instead of the default

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Update

Steel Projects PLM - Modules ›› Utilities ››

SP PLM can be automatically updated so long as you have a warranty period or active maintenance contract.

The database will first need to be updated and then once this is done the client programs will automatically recognise they need to be updated on program opening.

There are three possible options for updating the database

In Base Folder: If you have already downloaded the file from SP servers and not applied it yet, choose this option. There needs to be a valid folder and update.exe file in the base\update\ folder

On Steel Projects Servers - This method of update will attempt to connect to the SP servers to download the latest version over the internet.

If an update is available it will tell you the version that is available and allow you to download. Once the file is downloaded, it will ask you if you want to apply the update now and automatically update the database.

On This Computer: If you are provided with a copy of the update on a disc, you can use this option to browse to the update.exe file

If you have a valid maintenance contract but the option to download the latest version is not available, please contact SP Support and you will be provided with a valid support file.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Customer FTP

Steel Projects PLM - Modules ›› Utilities ››

The customer FTP is a useful tool for you to be able to upload or download files to or from your private folder on the Steel Projects FTP server

the left window allows you to browse to a folder on your computer and view the files. the window on the right shows the files in your FTP folder

To upload a file to the FTP folder, browse to the correct location and click on the red circle to turn it to green. Then press [image] to upload

To download an available file, select a folder on your pc to download it to, press the circle on the right to change it to green and press

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Lock

Steel Projects PLM - Modules ›› Utilities ››

The lock screen shows a list of locked database files

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Database Administration

Steel Projects PLM - Modules ›› Utilities ››

Tools for database administration and maintenance

Information

The main informations, such as version, size of database are displayed here.

Administration

Maintenance

If the maintenance plan service is stopped, it can't perform all the necessary operation to avoid the database size to blow up.

In this case, you can manually update the indexes, delete the temporary tables and shrink the databases and log file to save disk space.

This operation has to be done preferably by a Steel Project expert.

Filestream

This must always be activated. If not, click on "activate".

Module

After an update of the licence file, an addition of new modules, it's mandatory to press "Update Used Modules".

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Services Management

Steel Projects PLM - Modules ›› Utilities ››

Local

Management of the services installed on the server.

Each service, if needed, must be installed only once, preferably on the server

1 Activity indicator. Visible if a management operation is in progress.

2 Specifies whether the executable service file is present on disk.

3 Indicates whether the service is registered in Windows, and if the latter can run it.

4 Name of the executable file

5 When there are more than one network card interface on the server, indicate the IP address used.

Must be set-up before installing the service

6 Defines the port used by the service. Must be set-up before installation.

If -1, the port 8001 will be used

7 Install / Uninstall

If the service is in use, it can't be uninstalled.

8 Once the service installed, defines the startup mode.

9 For an installed service, not started, allows to activate a log file to trace the execution.

10 If the service is installed, allow to start or stop it.

General

Set-up of the services (parameters, recurrence, etc.)

This has to be done by a Steel Projects Expert.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Source Data Import

Steel Projects PLM - Modules ›› Utilities ››

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Check Data Integrity

Steel Projects PLM - Modules ›› Utilities ››

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Drawing module

Open the drawing module to modify or create a part ( Click the icon , double click in the drawing preview, Ctrl+D)

The drawing module in Steel Project PLM Project Manager allows the user to create and/or edit the parts that are required to be processed in the workshop.

Drawing layout

The main window is divided into 6 areas.

These windows can be arranged as the user desires. This is done by dragging and dropping the box to the preferred location.

In order to zoom in and out, just use the mouse wheel. Press and hold the mouse wheel to move the part that is selected.

Drawing window.

Toolbars.

Legend box

Layers box.

Parameters box.

Informations box.

Toolbars

For each function, it is shown if it can be used either for profiles plates or .

File

Icon | Profiles | Plates | Description
 |  |  | Open a part from the part list
 |  |  | Save the current part
 |  |  | Print preview
 |  |  | Print the workshop document
 |  |  | Undo / Redo You can undo / redo as many times as you want
 |  |  | Zoom all Best zoom to display the entire part
 |  |  | Zoom Window
 |  |  | Move You can also move the part by clicking the mouse wheel.
 |  |  | Zoom In / Out Can be done with the mouse wheel.
 |  |  | Display / Hide layers box
 |  |  | Select active layer

Toolings

Icon | Prf. | Pl. | Description
 |  |  | Mitre cut
 |  |  | Drilling input
 |  |  | Inclined drilling input
 |  |  | Circular drilling input
 |  |  | Coping input
 |  |  | Stamping/Marking input
 |  |  | Bending lines input
 |  |  | Lead-Cut direction changing
 |  |  | Lead-Cut sequence changing

Copy

Icon | Prf. | Pl. | Description
 |  |  | Switching from American to European view
 |  |  | Select the sides affected by a symmetry
 |  |  | Copy holes using a symmetry
 |  |  | Move holes using a symmetry
 |  |  | Converts a beam/column with a mitre cut in the flanges into a RHS profile.

Drawing

Icon | Prf. | Pl. | Description
 |  |  | Selection
 |  |  | Line
 |  |  | Rectangle
 |  |  | Circle with 2 points
 |  |  | Circle with 3 points
 |  |  | Circle with center and radius
 |  |  | Circle with center and pre-defined diameter
 |  |  | Arc 3 points
 |  |  | Arc center and 2 points
 |  |  | Arc with 2 points (begin, end) and radius
 |  |  | Arc with center, start and radius
 |  |  | Measure
 |  |  | Eraser
 |  |  | Straight notch
 |  |  | Round notch (Convex)
 |  |  | Round notch (Concave)
 |  |  | Offset (draw a line to a pre-defined distance)
 |  |  | Parallel (draw a parallel line to the selected line)
 |  |  | Cut (a segment)
 |  |  | Closes the non closed contours
 |  |  | Extend lines
 |  |  | Trim lines
 |  |  | Polygonize circles
 |  |  | Resize a contour
 |  |  | Homothetic
 |  |  | Translation
 |  |  | Rotation

Legend box

Indicates the legend for the holes (diameter and properties).

The colours are not fixed by diameter from a part to another.

The smaller diameter is red, then yellow, and so on.

Layers

It is possible display or hide any layer by checking the corresponding checkbox.

Information

This box shows the various data such as coordinates, distance, etc.

Parameters

Displays the options needed for some tools

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Getting started with the drawing module

Drawing module ››

General use

Except in some cases as shown below, when a tool is selected all the parameters that require an input will appear in the Properties window. Then, in order to confirm the input, press the Enter Key twice or click on the Apply button.

Drilling

By selecting the drilling tool [image] (or pressing [F6]), this window will appear:

In SPPLM , the perforations are inserted as a matrix of holes: a complete pattern of holes can be inserted at once.

In the first area (Side), select the side that requires holes to be drilled (if the profile is a plate, the side is automatically set as Web). Then, in the second area (Reference), select the desired reference for the drilling matrix. The reference is the vertical reference (Y axis) of the origin in the drilling matrix. If Top is selected, then the origin is placed at the top and the Y coordinates of the holes will be placed in a downward direction. If Centre Line is selected, holes can be placed above or below the origin. Finally if Bottom is selected, Y coordinates of the holes will be placed above the origin.

After selecting the Y reference, the hole parameters and placing the origin of the matrix is now defined. In the Type list, the type of hole to be created is specified here (drill, punch, slot, countersink, etc.). If Normal selected, WinCN / WinNEST will select the appropriate way to make the hole, regarding their parameters. If Drill is selected, WinCN / WinNEST will automatically drill the hole even if this hole should have been punched (ex. TIPOB).

When creating drilled or tapped holes it is possible to input a depth to create blind holes. The legend will display them as filled circles.

In the X and Y fields, the coordinates of the origin is inputted here. This is represented by the black point in the area above (4).

Now the coordinates of the holes are placed in the fields C, D, E and F; C and D represent the X axis and E and F stand for the Y axis.

In this example, here is the resulting hole;

The red line indicates the horizontal axis of the origin.

If the reference is changed to Top and the parameters are as below, the same result is obtained.

When absolute mode is selected, all coordinates are in reference to the origin. If relative mode is selected, coordinates are from the last inputted coordinate. This allows the user to input a series of holes at once.

In this case, the resulting 10 holes will look like this;

After creating a hole, the properties can be changed by right clicking on it and selecting properties, or by double clicking on it.

While editing the matrix for the holes, it is possible to select certain holes in the matrix to be removed. This is done by clicking on the Detail button. The following is an example.

Fill the Drill parameters as shown

By clicking OK, the following pattern is obtained:

Double click on a hole to edit the properties of the group. Then click on the Detail button and uncheck the boxes representing the holes to be deleted.

After clicking OK, the following figure is the result;

Remark: Note that the pattern can be modified as many times as desired simply by opening the Drilling Group Detail window and changing the pattern.

Cutting - Profiles

Making a cut in SPPLM is very easy: select the cutting tool [image] (or press [F5]). Then, in the parameters box, fill the fields as required:

In this case, there will be a cut in the Web, on the left hand side (beginning), with the angle of 30°. It is possible do the same on the flanges.

To remove a cut in a profile, simply enter the value 0 in the corresponding field.

Cutting - Plates

Cutting a plate is slightly different compared to a bar profile. The contours of the plates are modified instead of adding a cut/mitre. The tools required to do this are in the drawing toolbar.

Notches

After having selected a notch tool, [image] fill the parameters in the parameter area (cut length, radius, etc.) and approach the mouse pointer to the angle to be modified. In the case of straight notches, the value Cut1 corresponds to the closest line to the pointer.

Round and tangent notch tools work like the straight notch tool. The parameter to put is not a distance but a radius.

Construction lines

Construction lines are useful when figures are needed to be drawn in a plate. They allow for reference points to aid when drawing lines, circles, rectangles, etc.

Select the parallel tool, [image] check the construction box and click on the line to have a parallel line drawn. Then click to place the insertion point. This tool is useful if the user requires draw lines going through the middle or ends of existing lines.

To draw a construction line with an offset value from a reference line, select the offset tool, [image] insert the offset value and click on the reference line;

Note that construction lines will not appear on the workshop document. However it is possible to hide them either by deleting them or by inactivating the construction layer.

Modifying the contour

After having drawn some construction lines, the shape of the plate can be modified using one of the drawing tools (line, rectangle, etc.).

For this example, the line tool will be used.

Select the first intersection (note that the pointer locks automatically on intersections)

Click and select the second point you want the line to go through :

Click on the second point.

Do the same for the last point. When the last point is clicked, right click to finish.

To cut the segment between the first and the last point of the polyline, select the scissor tool [image] and click on the segment to delete it. When the pointer approaches the line, the segment will be highlighted to indicate which part of the line that will be removed:

FICEP Macros

In order to program FICEP coping machines, SPPLM has a macro library. These macros can be used only for profiles (beams, channels, flats, etc.).

To add a coping to a profile, select the macro tool [image] (or press [F8]).

In the following window, select the macro that is desired.

When a macro is selected, the following window appears. The data must be entered to represent the correct cope. Each dimension on the figure is represented by a letter and each letter is reported in fields on the right hand side. If a field is left blank, it is considered to equal 0.

In this example, the cope is added on the left hand side of the beam (beginning).

In order to modify the macros settings or delete it, select the macro tool to find the macro used and click on modify or delete.

It is possible to have the macros used most frequently separated in a user-defined library. This will make it easier to find the same macro in the future. To do so, select the "Macro User" item in the "File" menu.

Then, double click on the macro to be added in the user-defined library and click on OK when done.

Then when the macro tool is selected, there will be a group User that will display only the most frequently used macros as defined by the user.

Stamping

The mark number (or any text as desired) can be manually placed on a part. Simply select the stamp tool [image] (or press [F7]).

In the parameters box, the part name is automatically set by default. This can be changed or left as required.

Then, click on the location on the part where the stamp should be placed.

Bending lines

SPPLM allows the user to draw bending lines on the plates. They will appear on the workshop document. Bending lines are inserted as regular lines plus the value of the bending angle that is entered in the properties box.

Scribing lines

SPPLM also allows the user to draw lines to be scribed on plates or profiles using bending lines. The difference is that the angle parameter must be set to 0.

Drawing options

Menu File / Options

Item | Description
Pointing precision rectangle | This value allows defining the size of the selection rectangle during the selection of drawing elements. Default Value = 5.
Marking Text | Font size for stamping
Macros FENICE | Must be checked if using a FICEP Robot If the coping machine is a Ceptrol machine, uncheck this box.
Oxycutting / Plasma | Both Oxycutting and Plasma are checked by default. If the Robot doesn't have Plasma, uncheck the plasma checkbox. If it doesn't have an Oxycutting torch, uncheck the Oxycutting checkbox.
Lead Cut | If a macro is not recognized, SPPLM can generate Lead Cut commands, scribing lines. If Not Any is checked, nothing is done.

Remark: With a FICEP Coping Machine (Robot), it is possible to copy the file minosse.ini / arianna.ini (in D:\Minosse or D:\Arianna on the machine) into the BASE folder of SPPLM in order to set up the macros filter automatically.

This data is used for the generation of shape outlines according to the size of each drilling axis.

SPPLM proposes either a fixed distance relative to the size selected, or a coefficient to apply to the relevant size. Otherwise, the default coefficient will be applied.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor